SystemOrganization addCategory: #'MyBlog-Model'!
SystemOrganization addCategory: #'MyBlog-View'!
SystemOrganization addCategory: #'MyBlog-Tests'!

!String methodsFor: '*myblog' stamp: 'NicolasVanderAuwera 9/3/2012 07:48'!
capitalizedPhrase
	"Return a sentence where each word is capitalized."

	| write |
	write := WriteStream on: String new.
	(self subStrings: ' ')
		do: [ :word | 
			write
				nextPutAll: word capitalized;
				nextPutAll: ' ' ].
	write skip: -1.
	^ write contents! !

WAFileLibrary subclass: #MyBlogLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogLibrary commentStamp: 'NicolasVanderAuwera 9/2/2012 08:27' prior: 0!
I content all files of MyBlog.!

!MyBlogLibrary class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:50'!
initialize
	super initialize! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/16/2012 17:35'!
applicationCss
	^ '/* General */

p {
	text-align: justify;
	line-height: 1.8em;
}

h2 {
	letter-spacing: 1px;
}

.batch {
	text-align: center;
}

a {
	color: #3594c5;
	text-decoration: none;
}

a:hover {
	color: #000;
	background-color: #F4F2E4;
  	border-bottom: 1px solid #9A8E51;
}

/* Logo */

.cs-text {
    font-size: 50px;
    text-transform: uppercase;
    margin: 80px auto 0 auto;
    width: 580px;
    height: 100px;
    padding-left: 20px;
    font-family: ''McLaren'', Arial;
    font-weight: 400;
    position: relative;
}

.cs-text:before,
.cs-text:after {
    content: " ";
    display: table;
}

.cs-text:after {
    clear: both;
}

.cs-text span {
    cursor: default;
    display: block;
    float: left;
    border-radius: 50%;
    width: 100px;
    height: 100px;
    line-height: 100px;
    text-align: center;
    margin: 0 0 0 -20px;
    color: rgba(255,255,255,0.95);
    text-shadow: 0 -1px 1px rgba(0,0,0,0.1);
    transition: all 0.4s ease-in-out;
}

/* Content */

#content {
	/*border-right: 1px solid #ddd;*/
}

#content h3 a {
	color: #dc4d4d;
}

#content h3 a:hover {
	color: #000;
}

* {
	margin: 0;
}

html, body {
	height: 100%;
}

.wrapper {
	min-height: 100%;
	height: auto !!important;
	height: 100%;
	margin: 0 auto -142px; /* the bottom margin is the negative value of the footer''s height */
}


/* Search */

.search {
	padding-top: 12px;
}

input[type=search] {
	-webkit-appearance: textfield;
	-webkit-box-sizing: content-box;
	font-family: inherit;
	font-size: 100%;
}
input::-webkit-search-decoration,
input::-webkit-search-cancel-button {
	display: none;
}

input[type=search] {
	width: 100px;
	background: #efefef url(''search.png'') no-repeat 9px center;
	font: italic 105%/110% "Times New Roman", Times, serif;
	color: #86856f;
	padding: 3px 4px 3px 28px;
	border: solid 1px #bebdaa;
	-webkit-border-radius: 13px;
	-moz-border-radius: 13px;
	border-radius: 13px;
	-webkit-transition: .7s;
	-moz-transition: .7s;
	-o-transition: .7s;
	transition: .7s;
}
input[type=search]:focus {
	color: #333;
	width: 160px;
	background-color: #fff;
	font-style: normal;
}

input {
	outline: none;
}


/* Footer */

footer, .push {
	height: 142px; /* .push must be the same height as .footer */
}

footer {
	text-align: center;
}

.copyright {
	font-size: 11px;
	line-height: 11px;
}

/* Menu */

ul.menu {
	width: 200px;
	float: right;
	text-align: right;
	margin-top: 15px;
}

ul.menu li {
	display: inline-block;
	margin-right: 10px;
}

/* Login */

p.logged img {
	float: left;
	margin-right: 5px;
	margin-bottom: 5px;
}

/* Author */

#content h1 {
	font: 1.66em Georgia, Times, serif;
	text-align: center;
	margin: 0.5em 0;
	padding-bottom: 0.75em;
	border-bottom: 1px dotted #B2B2B2;
}

#content h2 {
	text-align: center;
	margin-top: 1.5em;
	padding-bottom: 0.5em;
	font: 1.66em Georgia, Times, serif;
	font-size: 1.8em;
}

#content img {
	float: left;
	margin: 0.5em 10px 10px 0;
}

#content p {
	margin: 0.5em 0 1.5em;
}

#content .byline a {
	font: bold 0.85em Verdana, sans-serif;
	text-transform: uppercase;
	letter-spacing: 2px;
	margin-left: 0.25em;
	color: #3594C5;
	text-decoration: none;
}

/* Sidebar */

#sidebar h3 {
	font: 1.5em Georgia, Times, serif;
	letter-spacing: 0;
	text-transform: none;
	margin-bottom: 0.25em;
	color: #333;
}

/* Post */

h3.title {
	padding-top: 0;
	font-size: 2em;
	line-height: 1.3em;
	text-align: center;
}

.byline {
	padding: 0 0 1em;
	margin: 0 0 1.25em;
	text-align: center;
	background: url(''bylineseparator.gif'') 50% 100% no-repeat;
	font: italic 1.1em Times, serif;
	letter-spacing: 1px;
}

/* Comment */

.comment {
	border: 1px dotted #999;
	border-width: 1px 0;
	margin-bottom: -1px;
	padding: 15px 10px 1px;
}

.comment h4 {
	font: bold 1.15em Georgia, serif;
	margin-bottom: 0.5em;
	padding-left: 25px;
	background: url(''commentwh.gif'') 0 0.1em no-repeat;
}

.comment h4 .commentnum {
	padding-right: 0.66em;
	margin-right: 0.5em;
	border-right: 1px solid #999;
}

.posttime {
	font: italic 1em Georgia, serif;
	padding-left: 17px;
	/*background: url(/pix/leaf_wh.gif) 0 0.2em no-repeat;*/
}

/* Table */

form th {
	width: 300px;
	text-align: left;
}

.login input[type="text"], .login input[type="password"] {
	width: 195px;
}

/* Footer */

/* Messages Box */

.info, .success, .warning, .errors {
	font-size: 13px;
    border: 1px solid;
    margin: 10px 0px;
    padding:15px 10px 15px 50px;
    background-repeat: no-repeat;
    background-position: 10px center;
}
.info {
    color: #00529B;
    background-color: #BDE5F8;
    background-image: url(''info.png'');
}
.success {
    color: #4F8A10;
    background-color: #DFF2BF;
    background-image:url(''success.png'');
}
.warning {
    color: #9F6000;
    background-color: #FEEFB3;
    background-image: url(''warning.png'');
}
.errors {
    color: #D63301;
    background-color: #FFCCBA;
    background-image: url(''errors.png'');
}
'! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/9/2012 17:00'!
baseCss
	^ '/*
* Skeleton V1.2
* Copyright 2011, Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 6/20/2012
*/


/* Table of Content
==================================================
	#Reset & Basics
	#Basic Styles
	#Site Styles
	#Typography
	#Links
	#Lists
	#Images
	#Buttons
	#Forms
	#Misc */


/* #Reset & Basics (Inspired by E. Meyers)
================================================== */
	html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
		margin: 0;
		padding: 0;
		border: 0;
		font-size: 100%;
		font: inherit;
		vertical-align: baseline; }
	article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
		display: block; }
	body {
		line-height: 1; }
	ol, ul {
		list-style: none; }
	blockquote, q {
		quotes: none; }
	blockquote:before, blockquote:after,
	q:before, q:after {
		content: '''';
		content: none; }
	table {
		border-collapse: collapse;
		border-spacing: 0; }


/* #Basic Styles
================================================== */
	body {
		background: #fff;
		font: 14px/21px "HelveticaNeue", "Helvetica Neue", Helvetica, Arial, sans-serif;
		color: #444;
		-webkit-font-smoothing: antialiased; /* Fix for webkit rendering */
		-webkit-text-size-adjust: 100%;
 }


/* #Typography
================================================== */
	h1, h2, h3, h4, h5, h6 {
		color: #181818;
		font-family: "Georgia", "Times New Roman", serif;
		font-weight: normal; }
	h1 a, h2 a, h3 a, h4 a, h5 a, h6 a { font-weight: inherit; }
	h1 { font-size: 46px; line-height: 50px; margin-bottom: 14px;}
	h2 { font-size: 35px; line-height: 40px; margin-bottom: 10px; }
	h3 { font-size: 28px; line-height: 34px; margin-bottom: 8px; }
	h4 { font-size: 21px; line-height: 30px; margin-bottom: 4px; }
	h5 { font-size: 17px; line-height: 24px; }
	h6 { font-size: 14px; line-height: 21px; }
	.subheader { color: #777; }

	p { margin: 0 0 20px 0; }
	p img { margin: 0; }
	p.lead { font-size: 21px; line-height: 27px; color: #777;  }

	em { font-style: italic; }
	strong { font-weight: bold; color: #333; }
	small { font-size: 80%; }

/*	Blockquotes  */
	blockquote, blockquote p { font-size: 17px; line-height: 24px; color: #777; font-style: italic; }
	blockquote { margin: 0 0 20px; padding: 9px 20px 0 19px; border-left: 1px solid #ddd; }
	blockquote cite { display: block; font-size: 12px; color: #555; }
	blockquote cite:before { content: "\2014 \0020"; }
	blockquote cite a, blockquote cite a:visited, blockquote cite a:visited { color: #555; }

	hr { border: solid #ddd; border-width: 1px 0 0; clear: both; margin: 10px 0 30px; height: 0; }


/* #Links
================================================== */
	a, a:visited { color: #333; text-decoration: underline; outline: 0; }
	a:hover, a:focus { color: #000; }
	p a, p a:visited { line-height: inherit; }


/* #Lists
================================================== */
	ul, ol { margin-bottom: 20px; }
	ul { list-style: none outside; }
	ol { list-style: decimal; }
	ol, ul.square, ul.circle, ul.disc { margin-left: 30px; }
	ul.square { list-style: square outside; }
	ul.circle { list-style: circle outside; }
	ul.disc { list-style: disc outside; }
	ul ul, ul ol,
	ol ol, ol ul { margin: 4px 0 5px 30px; font-size: 90%;  }
	ul ul li, ul ol li,
	ol ol li, ol ul li { margin-bottom: 6px; }
	li { line-height: 18px; margin-bottom: 12px; }
	ul.large li { line-height: 21px; }
	li p { line-height: 21px; }

/* #Images
================================================== */

	img.scale-with-grid {
		max-width: 100%;
		height: auto; }


/* #Forms
================================================== */

	form {
		margin-bottom: 20px; }
	fieldset {
		margin-bottom: 20px; }
	input[type="text"],
	input[type="password"],
	input[type="email"],
	textarea,
	select {
		border: 1px solid #ccc;
		padding: 6px 4px;
		outline: none;
		-moz-border-radius: 2px;
		-webkit-border-radius: 2px;
		border-radius: 2px;
		font: 13px "HelveticaNeue", "Helvetica Neue", Helvetica, Arial, sans-serif;
		color: #777;
		margin: 0;
		width: 210px;
		max-width: 100%;
		display: block;
		margin-bottom: 20px;
		background: #fff; }
	select {
		padding: 0; }
	input[type="text"]:focus,
	input[type="password"]:focus,
	input[type="email"]:focus,
	textarea:focus {
		border: 1px solid #aaa;
 		color: #444;
 		-moz-box-shadow: 0 0 3px rgba(0,0,0,.2);
		-webkit-box-shadow: 0 0 3px rgba(0,0,0,.2);
		box-shadow:  0 0 3px rgba(0,0,0,.2); }
	textarea {
		min-height: 60px; }
	label,
	legend {
		display: block;
		font-weight: bold;
		font-size: 13px;  }
	select {
		width: 220px; }
	input[type="checkbox"] {
		display: inline; }
	label span,
	legend span {
		font-weight: normal;
		font-size: 13px;
		color: #444; }

/* #Misc
================================================== */
	.remove-bottom { margin-bottom: 0 !!important; }
	.half-bottom { margin-bottom: 10px !!important; }
	.add-bottom { margin-bottom: 20px !!important; }


'! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 17:33'!
bylineseparatorGif
	^ #(71 73 70 56 57 97 120 0 1 0 128 0 0 133 133 133 255 255 255 33 249 4 1 0 0 1 0 44 0 0 0 0 120 0 1 0 0 2 9 132 143 169 203 237 15 163 156 5 0 59) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 15:08'!
commentwhGif
	^ #(71 73 70 56 57 97 16 0 12 0 213 44 0 219 213 183 254 254 253 251 251 248 239 237 224 228 223 200 238 235 221 219 213 184 225 220 195 222 216 188 221 215 186 227 222 199 227 223 199 235 232 215 232 228 209 224 219 194 238 236 222 249 248 244 251 250 247 244 243 234 230 226 206 248 247 242 222 217 190 225 219 194 236 232 216 247 246 239 254 253 252 232 228 208 221 215 187 247 245 239 240 238 226 242 240 230 220 214 185 241 239 228 240 237 225 239 236 223 254 254 252 242 240 229 252 252 249 244 242 233 235 231 214 220 214 184 241 238 226 223 218 192 231 227 208 255 255 255 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33 249 4 1 0 0 44 0 44 0 0 0 0 16 0 12 0 0 6 78 64 150 176 148 154 56 16 136 138 226 196 17 58 73 42 128 116 42 69 173 4 194 1 117 59 61 8 40 31 174 88 195 16 139 19 13 51 215 0 82 111 45 129 133 123 234 97 69 8 238 205 192 57 18 29 12 98 4 78 78 25 24 29 5 5 15 38 23 82 18 131 143 131 16 33 0 1 65 0 59) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:46'!
errorsPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 32 0 0 0 32 8 6 0 0 0 115 122 122 244 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 6 31 73 68 65 84 120 218 196 151 93 108 28 213 21 199 127 247 206 236 135 103 237 117 190 140 168 147 244 197 65 34 133 16 23 148 152 160 40 8 218 180 249 128 32 132 240 130 132 202 179 11 40 17 121 65 66 66 21 18 106 95 130 18 169 109 196 43 37 42 40 82 30 34 53 182 2 81 44 55 56 88 4 105 75 234 196 53 217 53 254 54 201 38 172 103 237 245 206 236 204 189 125 152 93 123 189 187 54 230 41 71 58 218 59 103 118 206 249 159 115 207 57 247 92 161 181 230 126 146 228 62 147 9 240 102 75 203 90 255 191 7 56 2 236 0 30 4 26 128 5 96 6 184 14 156 7 174 174 69 209 95 239 220 89 2 240 19 20 6 222 1 186 118 180 183 63 248 235 61 123 104 217 188 25 171 169 9 195 52 241 93 151 188 109 243 195 196 196 225 228 192 192 59 255 253 246 219 25 224 52 240 23 192 253 41 229 66 107 189 90 4 222 14 133 66 39 126 247 194 11 236 61 116 136 72 44 6 229 156 209 186 46 47 228 114 252 187 187 155 47 122 122 240 60 239 56 240 225 106 17 88 13 192 201 71 31 123 236 104 162 171 139 216 186 117 160 53 122 126 30 157 205 162 23 22 208 174 11 158 87 218 72 19 17 137 32 154 155 17 150 5 90 99 223 187 199 217 143 63 230 198 224 224 41 224 216 207 5 240 247 253 135 15 119 253 254 149 87 144 128 202 100 80 211 211 224 186 160 20 90 169 192 99 165 150 184 252 108 24 200 214 86 100 75 11 74 41 254 117 238 28 189 189 189 167 129 63 174 53 7 78 254 246 224 193 174 131 137 4 58 151 195 27 25 65 47 44 44 55 82 226 186 64 148 194 191 121 19 63 157 198 220 182 141 231 142 28 65 121 94 87 223 149 43 110 189 72 84 3 120 251 87 143 60 114 244 192 75 47 161 102 102 240 71 70 192 247 23 141 235 138 245 50 207 125 127 57 24 223 135 124 158 226 215 95 99 60 244 16 135 15 29 98 122 106 234 232 119 233 244 88 117 78 84 246 129 176 105 154 39 58 95 127 29 110 223 198 31 26 130 66 33 96 199 89 250 45 175 43 229 245 214 142 3 249 60 126 50 137 152 152 32 241 226 139 152 134 113 162 84 85 117 1 188 251 155 253 251 105 212 58 48 238 56 232 66 97 25 83 40 208 61 60 28 60 87 190 119 93 186 83 41 40 203 203 239 92 23 237 56 120 201 36 241 98 145 189 187 119 3 188 91 15 128 97 72 249 222 190 167 159 198 191 113 35 200 242 10 111 202 134 46 164 82 188 124 241 34 221 233 244 162 183 218 113 184 48 50 66 103 95 31 23 198 198 150 188 119 221 101 64 189 107 215 120 166 163 3 41 196 123 128 81 13 224 192 206 157 59 9 103 50 168 108 118 201 179 146 55 56 14 221 233 52 157 151 46 1 208 217 219 203 133 209 209 192 243 209 81 18 95 126 9 64 226 234 85 186 39 38 22 61 199 117 23 89 103 179 68 38 39 217 222 214 6 112 160 26 192 179 219 218 218 240 135 135 17 101 15 170 246 189 179 175 111 89 182 38 250 251 233 30 31 39 49 48 176 92 254 205 55 136 178 225 98 49 224 210 179 26 28 164 109 235 86 128 103 171 1 60 241 139 198 70 116 62 95 139 220 113 208 174 139 253 252 243 53 245 154 184 118 173 70 150 221 181 11 149 203 5 77 107 126 62 208 89 138 166 154 155 163 53 26 5 120 162 186 12 55 55 122 30 162 98 191 241 125 240 60 116 177 24 148 151 231 49 219 222 78 115 50 185 98 95 159 109 111 71 172 214 247 13 131 230 98 17 96 115 117 4 194 42 149 66 79 78 162 102 102 208 63 254 136 182 109 116 62 31 132 176 220 114 133 224 179 96 15 107 232 179 182 54 16 98 101 150 18 97 154 200 185 57 42 75 177 12 192 85 142 131 8 133 16 134 1 82 214 85 210 99 219 36 82 169 186 0 18 169 20 61 182 189 178 113 195 64 132 66 40 215 165 242 148 44 3 152 180 125 31 25 10 33 77 19 33 37 66 136 101 188 154 241 106 16 213 223 10 41 145 166 137 12 133 176 125 31 96 178 26 64 114 218 117 17 209 40 34 28 94 138 66 5 39 110 221 170 49 104 239 218 85 11 226 214 173 154 111 133 97 4 122 163 81 166 131 8 36 171 1 124 62 108 219 24 209 40 50 26 173 27 133 92 208 197 22 41 183 123 247 170 242 26 239 163 81 100 36 194 176 109 3 124 94 13 160 103 104 106 138 121 33 144 150 21 68 194 52 107 114 33 215 209 17 24 233 232 88 147 188 156 120 34 26 69 90 22 121 41 25 154 154 2 232 169 6 224 43 173 223 191 56 54 134 180 44 140 88 44 24 48 12 163 38 161 114 79 62 89 55 209 234 201 133 97 32 34 17 140 88 12 105 89 124 49 62 142 210 250 125 192 175 119 24 125 208 63 62 206 61 165 144 241 56 70 83 211 138 32 214 194 139 198 155 154 144 241 56 247 148 226 202 216 24 192 7 43 157 134 174 175 212 241 51 201 36 88 22 230 250 245 152 205 205 200 134 134 21 43 163 46 151 247 188 161 1 179 185 25 115 253 122 176 44 206 36 147 248 74 29 175 30 84 171 239 5 31 166 51 153 83 159 38 147 24 241 56 230 198 141 152 27 54 32 99 49 68 40 20 228 196 170 183 12 137 8 133 144 177 88 224 192 198 141 24 241 56 159 38 147 164 51 153 83 245 6 212 122 35 217 177 129 116 58 44 164 236 122 245 169 167 48 27 26 144 177 24 126 46 135 202 231 131 147 174 60 25 85 26 46 149 154 180 172 32 236 141 141 232 112 152 51 253 253 12 164 211 167 235 141 99 43 222 11 254 150 201 188 229 105 205 15 182 221 245 135 125 251 104 121 224 1 140 117 235 80 249 60 170 52 104 224 121 104 173 17 66 4 83 113 56 28 148 154 101 33 194 97 238 216 54 159 92 190 204 255 102 102 78 127 116 247 238 91 111 108 218 196 154 1 0 242 163 187 119 255 244 178 239 59 99 231 206 29 219 251 240 195 28 124 252 113 26 55 108 88 156 36 180 239 7 135 84 41 225 202 52 87 40 208 253 213 87 92 25 26 98 218 117 79 158 205 102 255 92 218 106 255 231 0 0 224 108 54 251 207 168 16 87 191 119 156 215 46 13 14 62 179 189 181 181 113 251 150 45 252 114 211 38 172 72 132 176 105 226 122 30 121 199 97 44 147 225 230 196 4 55 167 166 230 166 61 239 242 69 219 254 164 160 245 247 107 186 27 214 33 5 56 64 182 160 245 237 243 179 179 255 0 206 239 204 231 119 108 29 29 221 209 108 24 91 66 66 88 18 66 10 138 69 173 243 179 190 63 49 94 44 94 255 207 194 194 117 96 22 184 3 100 75 122 212 170 87 179 251 73 255 31 0 128 100 133 159 163 235 68 239 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:46'!
infoPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 32 0 0 0 32 8 6 0 0 0 115 122 122 244 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 6 94 73 68 65 84 120 218 196 151 91 108 148 215 17 199 127 231 242 125 123 241 133 58 36 194 10 110 138 9 73 47 196 148 214 9 151 132 68 106 32 9 40 133 7 148 168 85 47 145 250 208 54 174 20 129 66 85 69 138 74 42 212 168 125 113 68 94 74 121 168 42 181 81 171 22 37 81 35 165 133 114 137 228 54 161 9 144 154 26 155 75 192 166 248 182 182 177 177 89 179 251 93 207 233 195 174 215 235 197 54 78 95 56 210 236 55 223 183 115 102 254 103 102 206 156 57 194 90 203 237 28 146 219 60 52 64 253 243 123 22 42 191 30 216 6 52 1 245 64 10 200 3 25 160 3 120 7 56 190 16 69 153 95 239 158 6 112 139 225 2 47 1 45 171 151 223 91 191 230 243 95 160 97 113 29 53 201 36 74 41 194 40 230 122 62 79 223 232 216 211 31 157 63 255 82 199 229 238 12 176 15 248 37 16 220 74 185 176 214 206 231 129 23 29 173 91 183 174 89 199 150 230 213 84 37 92 166 50 198 218 34 1 214 218 226 19 178 158 207 161 143 255 205 161 83 31 17 197 241 46 224 181 255 215 3 123 87 53 46 223 241 131 167 158 228 51 213 105 172 133 235 190 97 220 139 201 7 134 32 134 200 20 224 104 9 9 45 89 148 84 164 93 151 173 107 215 242 200 202 149 188 113 236 104 107 215 127 123 238 1 118 206 155 3 179 140 95 109 126 112 77 203 55 31 125 4 4 100 178 17 131 217 144 32 6 99 45 198 22 86 109 44 37 178 54 194 88 80 18 238 174 117 184 171 170 138 239 111 249 58 111 127 240 254 142 182 255 124 236 2 63 90 40 128 189 79 61 184 166 229 27 143 109 32 235 199 244 140 133 228 35 83 52 50 13 96 124 168 143 161 238 78 44 80 215 112 31 181 245 203 48 128 137 224 236 176 79 183 14 89 177 216 101 235 250 13 68 198 180 124 112 166 61 152 205 19 149 0 94 252 210 231 26 119 108 127 248 97 50 147 33 61 215 66 98 99 75 198 99 59 205 175 186 11 158 127 238 57 0 126 251 247 83 124 152 47 228 129 177 150 216 64 46 138 57 209 159 227 190 59 19 108 89 183 129 204 216 213 29 221 3 125 87 42 115 162 188 14 184 90 169 214 239 62 177 137 225 124 204 185 171 1 94 100 241 98 139 31 79 61 41 241 219 55 60 80 154 248 189 39 155 75 223 189 162 140 111 44 185 24 218 51 30 125 215 35 182 61 186 17 165 84 107 113 87 205 10 224 229 77 205 15 97 85 138 115 87 131 25 10 189 18 63 77 127 187 148 47 77 252 211 153 235 120 134 18 88 223 128 23 67 80 228 219 135 124 66 81 197 67 95 92 5 240 242 108 33 80 82 138 221 143 125 121 53 93 35 126 41 230 6 48 197 16 24 166 195 96 45 28 188 116 131 191 94 156 44 230 5 24 236 52 95 76 210 184 180 77 225 100 38 207 218 7 190 202 135 157 237 187 173 181 123 128 184 28 192 230 85 247 222 207 136 175 24 247 131 130 97 91 174 208 150 41 134 76 199 63 136 252 124 153 113 88 242 149 77 197 121 51 119 136 45 2 243 124 75 95 222 97 121 195 50 46 245 246 108 6 222 45 7 240 248 242 165 159 229 194 88 64 96 42 12 50 211 184 177 150 63 255 228 25 234 171 102 230 239 19 127 232 45 129 182 76 203 79 241 198 66 231 72 64 67 125 3 151 122 123 30 159 2 48 149 3 205 233 234 59 184 17 25 124 99 8 140 45 146 193 143 11 124 88 124 247 140 229 219 127 25 224 236 224 248 12 0 147 161 97 50 52 100 67 67 54 48 220 8 13 55 34 67 46 178 120 113 65 111 54 140 113 210 117 0 205 149 57 176 212 83 9 188 72 16 68 6 47 182 196 198 18 25 8 77 97 85 145 177 148 31 220 215 114 51 203 124 222 148 253 43 110 170 248 133 95 45 200 235 52 192 210 74 0 238 39 217 136 209 88 99 66 195 172 45 130 20 21 122 43 222 164 152 255 208 17 32 29 73 214 10 202 183 226 20 128 192 199 162 28 9 22 76 188 128 38 165 194 222 173 0 72 37 80 142 36 40 120 42 168 4 208 31 69 185 21 170 186 166 176 122 49 135 23 230 195 163 196 252 171 215 18 229 74 162 201 28 64 127 101 33 106 15 178 163 56 174 64 59 2 165 5 82 50 47 137 10 123 243 202 171 130 94 199 21 4 217 81 128 246 74 0 135 115 35 125 232 132 66 39 36 82 75 164 18 8 57 55 221 180 202 57 228 166 92 175 19 18 157 80 228 70 250 0 14 87 134 224 224 104 255 21 150 196 62 78 50 81 200 122 110 145 11 149 49 178 49 66 233 89 99 175 19 18 39 169 32 246 25 237 191 2 112 176 210 3 177 181 118 207 112 231 73 220 164 196 77 41 180 43 144 90 32 36 55 81 182 243 159 212 38 212 76 251 23 222 199 134 249 25 114 82 11 180 43 112 83 10 55 41 25 233 58 69 121 25 174 60 140 94 189 122 190 147 216 203 146 72 41 220 180 70 187 133 112 84 186 245 240 143 159 97 229 210 197 51 0 156 248 233 183 184 231 206 154 105 215 107 137 118 37 110 90 147 72 41 98 47 203 200 185 51 0 175 206 213 15 4 214 196 187 122 218 142 180 174 220 182 29 169 52 82 10 2 47 38 14 45 166 172 208 60 123 116 120 238 140 151 2 41 5 202 17 184 73 69 34 173 208 218 242 201 161 35 88 19 239 170 108 84 43 239 5 175 101 7 7 94 239 110 59 70 34 173 72 213 106 146 53 26 39 37 81 174 64 168 226 140 57 72 40 80 174 192 73 73 146 53 154 84 173 38 145 86 116 183 29 35 59 56 240 250 108 13 234 108 45 217 206 225 179 93 174 148 162 229 254 141 27 113 28 135 32 161 8 188 152 40 48 196 81 193 27 214 82 56 105 68 113 159 203 194 246 213 174 196 77 42 220 132 68 73 195 133 163 135 25 62 219 181 111 174 198 116 214 155 209 208 254 87 94 24 60 221 190 175 253 192 1 162 220 4 85 53 138 218 58 135 218 58 135 154 58 135 234 69 14 85 181 154 116 173 166 170 86 83 189 168 240 125 74 166 170 70 17 229 38 56 253 230 155 12 158 110 223 55 180 255 149 23 62 109 87 44 135 127 243 243 159 69 219 127 232 159 24 30 222 121 119 83 19 141 235 215 147 74 167 74 2 102 234 172 21 32 203 170 82 152 207 115 177 237 56 3 29 29 248 153 222 189 99 111 237 255 69 113 161 241 167 1 0 192 216 91 251 255 40 19 169 227 222 166 103 191 211 123 242 196 215 234 150 53 86 47 110 92 70 205 146 37 56 201 36 82 107 76 20 17 122 30 217 161 33 70 123 46 115 237 114 207 100 152 185 242 222 196 145 3 111 24 63 127 121 65 119 195 89 134 1 124 96 220 248 249 225 107 239 254 238 247 192 59 147 77 235 154 134 26 86 52 233 69 119 52 8 237 164 145 202 193 196 161 141 194 92 52 49 214 23 244 93 236 200 117 252 171 3 152 0 70 128 241 162 30 51 239 213 236 118 142 255 13 0 122 235 112 97 56 87 144 40 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:16'!
layoutCss
	^ '/*
* Skeleton V1.2
* Copyright 2011, Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 6/20/2012
*/

/* Table of Content
==================================================
	#Site Styles
	#Page Styles
	#Media Queries
	#Font-Face */

/* #Site Styles
================================================== */

/* #Page Styles
================================================== */

/* #Media Queries
================================================== */

	/* Smaller than standard 960 (devices and browsers) */
	@media only screen and (max-width: 959px) {}

	/* Tablet Portrait size to standard 960 (devices and browsers) */
	@media only screen and (min-width: 768px) and (max-width: 959px) {}

	/* All Mobile Sizes (devices and browser) */
	@media only screen and (max-width: 767px) {}

	/* Mobile Landscape Size to Tablet Portrait (devices and browsers) */
	@media only screen and (min-width: 480px) and (max-width: 767px) {}

	/* Mobile Portrait Size to Mobile Landscape Size (devices and browsers) */
	@media only screen and (max-width: 479px) {}


/* #Font-Face
================================================== */
/* 	This is the proper syntax for an @font-face file
		Just create a "fonts" folder at the root,
		copy your FontName into code below and remove
		comment brackets */

/*	@font-face {
	    font-family: ''FontName'';
	    src: url(''../fonts/FontName.eot'');
	    src: url(''../fonts/FontName.eot?iefix'') format(''eot''),
	         url(''../fonts/FontName.woff'') format(''woff''),
	         url(''../fonts/FontName.ttf'') format(''truetype''),
	         url(''../fonts/FontName.svg#webfontZam02nTh'') format(''svg'');
	    font-weight: normal;
	    font-style: normal; }
*/'! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/9/2012 16:58'!
searchGif
	^ #(71 73 70 56 57 97 29 0 21 0 196 0 0 241 241 239 255 255 255 224 224 224 218 218 218 204 204 204 193 193 193 182 182 182 171 171 171 161 161 161 150 150 150 138 138 138 128 128 128 117 117 117 106 106 106 95 95 95 84 84 84 74 74 74 62 62 62 52 52 52 41 41 41 255 255 255 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33 249 4 1 0 0 20 0 44 0 0 0 0 29 0 21 0 0 5 164 96 16 0 2 97 158 104 170 10 128 24 148 131 43 207 180 59 16 194 72 136 165 234 167 185 0 129 20 43 252 142 168 66 96 80 122 33 159 166 156 73 8 133 82 169 85 228 85 181 144 76 38 16 133 9 1 249 66 14 169 45 106 17 65 152 24 13 130 65 18 39 60 34 198 147 250 36 17 167 22 16 40 18 9 40 123 114 19 110 11 95 113 13 15 40 17 126 83 146 130 145 13 113 128 130 132 122 147 39 12 125 38 14 113 6 19 117 119 121 147 88 39 93 102 126 100 102 104 133 156 89 63 134 179 42 87 61 182 64 66 2 69 186 73 75 44 59 78 191 65 67 78 49 53 202 51 55 65 35 185 197 45 1 33 0 59) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 9/9/2012 17:15'!
searchPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 18 0 0 0 19 8 6 0 0 0 157 146 93 242 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 2 244 73 68 65 84 120 218 148 84 79 72 147 97 24 127 247 239 219 220 255 255 139 207 169 105 219 80 167 34 141 165 135 96 34 4 94 188 196 64 15 18 121 153 4 235 224 14 54 130 132 24 129 183 46 59 164 167 81 84 183 180 78 130 20 120 9 50 11 141 26 30 186 228 82 116 134 174 109 184 182 233 214 239 25 78 190 116 3 123 225 225 251 182 247 121 127 207 239 253 253 158 231 19 149 203 101 86 93 54 155 141 9 151 72 36 98 18 137 196 35 147 201 110 75 165 210 107 248 237 40 149 74 107 71 71 71 43 197 98 49 122 124 124 188 117 154 91 15 8 0 156 92 46 159 214 104 52 97 149 74 37 49 24 12 25 68 97 119 119 87 147 201 100 184 108 54 155 70 220 201 231 243 47 8 67 202 106 44 128 48 173 86 251 68 167 211 141 119 116 116 236 135 195 225 143 237 237 237 63 176 149 66 240 75 75 75 151 163 209 232 213 68 34 241 252 224 224 128 203 229 114 49 70 104 213 176 90 173 21 86 173 173 173 131 125 125 125 229 137 137 137 100 161 80 152 193 30 239 114 185 152 195 225 96 0 164 220 94 128 60 27 30 30 206 123 189 222 108 115 115 179 81 124 150 13 180 96 77 77 77 247 192 168 28 12 6 95 66 159 251 118 187 125 59 149 74 177 116 58 205 192 128 225 224 26 254 187 59 58 58 250 65 173 86 171 80 252 214 57 32 28 100 98 177 248 58 192 246 187 186 186 30 53 54 54 150 32 236 233 62 49 135 46 172 165 165 37 53 48 48 16 225 56 174 132 155 220 172 9 4 119 148 208 233 151 211 233 76 194 161 90 50 50 92 153 241 60 191 140 252 98 67 67 3 127 14 136 44 135 200 185 189 189 61 13 172 102 245 22 237 65 47 53 132 230 224 230 31 113 173 4 136 253 19 154 240 96 213 77 192 245 156 5 192 56 213 118 187 221 235 231 128 232 42 67 67 67 175 64 185 172 215 235 159 66 124 117 45 214 208 166 19 207 135 196 222 239 247 199 196 103 19 16 129 72 36 114 195 227 241 36 208 136 189 168 26 71 99 250 97 128 250 132 201 37 133 66 17 50 26 141 159 176 175 12 4 2 111 97 200 242 63 157 221 214 214 22 192 193 89 84 97 96 147 246 249 124 91 139 139 139 87 160 23 53 29 195 72 252 6 67 29 44 39 215 210 161 80 104 5 253 54 9 135 191 74 133 32 38 147 105 214 98 177 48 84 164 43 106 55 54 54 62 207 205 205 125 155 159 159 239 140 199 227 230 195 195 67 9 152 108 247 244 244 36 71 70 70 222 131 209 99 0 126 167 246 168 48 170 130 80 103 83 53 186 34 42 231 208 144 51 253 253 253 81 212 25 68 184 17 74 196 62 98 29 241 14 76 10 4 66 24 34 32 118 155 205 230 47 52 26 4 2 45 136 81 110 106 106 234 53 230 108 18 93 188 115 242 21 168 236 145 171 100 8 1 8 219 67 178 176 176 96 218 220 220 28 67 162 130 146 133 32 168 184 67 141 87 61 72 239 244 132 86 76 168 109 5 40 22 139 101 33 24 191 186 186 234 164 54 2 200 27 33 200 69 87 213 53 45 170 78 99 134 116 16 240 193 255 130 156 253 176 81 79 73 49 213 5 225 144 94 116 253 21 96 0 178 212 92 57 209 0 214 252 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:16'!
skeletonCss
	^ '/*
* Skeleton V1.2
* Copyright 2011, Dave Gamache
* www.getskeleton.com
* Free to use under the MIT license.
* http://www.opensource.org/licenses/mit-license.php
* 6/20/2012
*/


/* Table of Contents
==================================================
    #Base 960 Grid
    #Tablet (Portrait)
    #Mobile (Portrait)
    #Mobile (Landscape)
    #Clearing */



/* #Base 960 Grid
================================================== */

    .container                                  { position: relative; width: 960px; margin: 0 auto; padding: 0; }
    .container .column,
    .container .columns                         { float: left; display: inline; margin-left: 10px; margin-right: 10px; }
    .row                                        { margin-bottom: 20px; }

    /* Nested Column Classes */
    .column.alpha, .columns.alpha               { margin-left: 0; }
    .column.omega, .columns.omega               { margin-right: 0; }

    /* Base Grid */
    .container .one.column,
    .container .one.columns                     { width: 40px;  }
    .container .two.columns                     { width: 100px; }
    .container .three.columns                   { width: 160px; }
    .container .four.columns                    { width: 220px; }
    .container .five.columns                    { width: 280px; }
    .container .six.columns                     { width: 340px; }
    .container .seven.columns                   { width: 400px; }
    .container .eight.columns                   { width: 460px; }
    .container .nine.columns                    { width: 520px; }
    .container .ten.columns                     { width: 580px; }
    .container .eleven.columns                  { width: 640px; }
    .container .twelve.columns                  { width: 700px; }
    .container .thirteen.columns                { width: 760px; }
    .container .fourteen.columns                { width: 820px; }
    .container .fifteen.columns                 { width: 880px; }
    .container .sixteen.columns                 { width: 940px; }

    .container .one-third.column                { width: 300px; }
    .container .two-thirds.column               { width: 620px; }

    /* Offsets */
    .container .offset-by-one                   { padding-left: 60px;  }
    .container .offset-by-two                   { padding-left: 120px; }
    .container .offset-by-three                 { padding-left: 180px; }
    .container .offset-by-four                  { padding-left: 240px; }
    .container .offset-by-five                  { padding-left: 300px; }
    .container .offset-by-six                   { padding-left: 360px; }
    .container .offset-by-seven                 { padding-left: 420px; }
    .container .offset-by-eight                 { padding-left: 480px; }
    .container .offset-by-nine                  { padding-left: 540px; }
    .container .offset-by-ten                   { padding-left: 600px; }
    .container .offset-by-eleven                { padding-left: 660px; }
    .container .offset-by-twelve                { padding-left: 720px; }
    .container .offset-by-thirteen              { padding-left: 780px; }
    .container .offset-by-fourteen              { padding-left: 840px; }
    .container .offset-by-fifteen               { padding-left: 900px; }



/* #Tablet (Portrait)
================================================== */

    /* Note: Design for a width of 768px */

    @media only screen and (min-width: 768px) and (max-width: 959px) {
        .container                                  { width: 768px; }
        .container .column,
        .container .columns                         { margin-left: 10px; margin-right: 10px;  }
        .column.alpha, .columns.alpha               { margin-left: 0; margin-right: 10px; }
        .column.omega, .columns.omega               { margin-right: 0; margin-left: 10px; }
        .alpha.omega                                { margin-left: 0; margin-right: 0; }

        .container .one.column,
        .container .one.columns                     { width: 28px; }
        .container .two.columns                     { width: 76px; }
        .container .three.columns                   { width: 124px; }
        .container .four.columns                    { width: 172px; }
        .container .five.columns                    { width: 220px; }
        .container .six.columns                     { width: 268px; }
        .container .seven.columns                   { width: 316px; }
        .container .eight.columns                   { width: 364px; }
        .container .nine.columns                    { width: 412px; }
        .container .ten.columns                     { width: 460px; }
        .container .eleven.columns                  { width: 508px; }
        .container .twelve.columns                  { width: 556px; }
        .container .thirteen.columns                { width: 604px; }
        .container .fourteen.columns                { width: 652px; }
        .container .fifteen.columns                 { width: 700px; }
        .container .sixteen.columns                 { width: 748px; }

        .container .one-third.column                { width: 236px; }
        .container .two-thirds.column               { width: 492px; }

        /* Offsets */
        .container .offset-by-one                   { padding-left: 48px; }
        .container .offset-by-two                   { padding-left: 96px; }
        .container .offset-by-three                 { padding-left: 144px; }
        .container .offset-by-four                  { padding-left: 192px; }
        .container .offset-by-five                  { padding-left: 240px; }
        .container .offset-by-six                   { padding-left: 288px; }
        .container .offset-by-seven                 { padding-left: 336px; }
        .container .offset-by-eight                 { padding-left: 384px; }
        .container .offset-by-nine                  { padding-left: 432px; }
        .container .offset-by-ten                   { padding-left: 480px; }
        .container .offset-by-eleven                { padding-left: 528px; }
        .container .offset-by-twelve                { padding-left: 576px; }
        .container .offset-by-thirteen              { padding-left: 624px; }
        .container .offset-by-fourteen              { padding-left: 672px; }
        .container .offset-by-fifteen               { padding-left: 720px; }
    }


/*  #Mobile (Portrait)
================================================== */

    /* Note: Design for a width of 320px */

    @media only screen and (max-width: 767px) {
        .container { width: 300px; }
        .container .columns,
        .container .column { margin: 0; }

        .container .one.column,
        .container .one.columns,
        .container .two.columns,
        .container .three.columns,
        .container .four.columns,
        .container .five.columns,
        .container .six.columns,
        .container .seven.columns,
        .container .eight.columns,
        .container .nine.columns,
        .container .ten.columns,
        .container .eleven.columns,
        .container .twelve.columns,
        .container .thirteen.columns,
        .container .fourteen.columns,
        .container .fifteen.columns,
        .container .sixteen.columns,
        .container .one-third.column,
        .container .two-thirds.column  { width: 300px; }

        /* Offsets */
        .container .offset-by-one,
        .container .offset-by-two,
        .container .offset-by-three,
        .container .offset-by-four,
        .container .offset-by-five,
        .container .offset-by-six,
        .container .offset-by-seven,
        .container .offset-by-eight,
        .container .offset-by-nine,
        .container .offset-by-ten,
        .container .offset-by-eleven,
        .container .offset-by-twelve,
        .container .offset-by-thirteen,
        .container .offset-by-fourteen,
        .container .offset-by-fifteen { padding-left: 0; }

    }


/* #Mobile (Landscape)
================================================== */

    /* Note: Design for a width of 480px */

    @media only screen and (min-width: 480px) and (max-width: 767px) {
        .container { width: 420px; }
        .container .columns,
        .container .column { margin: 0; }

        .container .one.column,
        .container .one.columns,
        .container .two.columns,
        .container .three.columns,
        .container .four.columns,
        .container .five.columns,
        .container .six.columns,
        .container .seven.columns,
        .container .eight.columns,
        .container .nine.columns,
        .container .ten.columns,
        .container .eleven.columns,
        .container .twelve.columns,
        .container .thirteen.columns,
        .container .fourteen.columns,
        .container .fifteen.columns,
        .container .sixteen.columns,
        .container .one-third.column,
        .container .two-thirds.column { width: 420px; }
    }


/* #Clearing
================================================== */

    /* Self Clearing Goodness */
    .container:after { content: "\0020"; display: block; height: 0; clear: both; visibility: hidden; }

    /* Use clearfix class on parent to clear nested columns,
    or wrap each row of columns in a <div class="row"> */
    .clearfix:before,
    .clearfix:after,
    .row:before,
    .row:after {
      content: ''\0020'';
      display: block;
      overflow: hidden;
      visibility: hidden;
      width: 0;
      height: 0; }
    .row:after,
    .clearfix:after {
      clear: both; }
    .row,
    .clearfix {
      zoom: 1; }

    /* You can also use a <br class="clear" /> to clear columns */
    .clear {
      clear: both;
      display: block;
      overflow: hidden;
      visibility: hidden;
      width: 0;
      height: 0;
    }
'! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:46'!
successPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 32 0 0 0 32 8 6 0 0 0 115 122 122 244 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 6 138 73 68 65 84 120 218 196 151 93 108 84 199 21 199 127 119 102 238 245 174 13 56 40 73 139 192 41 13 144 84 168 80 146 210 96 62 149 132 86 14 2 229 163 173 90 181 18 15 125 107 221 54 130 134 74 137 136 5 4 53 106 95 136 136 212 22 229 177 77 155 168 138 146 42 72 9 164 70 201 34 62 156 56 73 75 112 140 13 212 248 19 123 177 49 94 175 205 238 222 143 153 233 195 94 27 179 94 192 244 133 179 58 154 187 123 103 207 255 127 254 115 238 204 185 142 181 150 59 105 130 59 108 10 96 205 175 239 157 233 252 53 192 83 192 114 96 30 144 4 242 64 26 104 1 14 2 77 51 9 212 244 199 161 107 4 110 97 30 240 2 80 255 205 37 15 207 251 246 210 213 124 245 238 26 102 37 102 35 165 34 212 1 227 185 44 233 203 125 91 254 211 254 241 11 109 23 78 167 129 3 192 31 128 224 86 193 29 107 237 205 20 120 78 41 119 95 221 154 167 217 248 157 45 36 42 170 0 139 5 138 181 99 177 214 50 249 177 150 92 97 156 212 103 239 147 106 62 68 164 163 29 192 43 255 175 2 251 151 46 94 177 109 235 230 122 230 84 205 197 98 201 133 89 198 253 81 124 157 35 212 33 218 70 96 65 10 137 39 19 84 122 115 72 122 85 212 173 125 134 85 203 55 240 118 227 95 246 157 237 108 253 26 176 253 166 53 80 198 254 252 221 213 91 234 159 220 240 83 16 14 87 114 105 134 115 3 68 38 196 88 141 181 22 99 13 22 51 237 90 56 130 123 170 230 115 87 229 189 108 125 234 23 28 58 246 246 182 147 255 78 121 192 47 103 74 96 255 227 181 155 235 159 124 244 39 228 194 49 210 35 93 248 58 95 148 218 26 76 12 100 173 41 146 129 152 148 193 82 36 211 157 105 103 64 94 96 65 245 18 158 216 240 12 218 232 250 79 78 29 11 202 41 81 74 224 185 111 220 191 108 219 230 245 63 228 74 254 18 233 108 231 181 140 49 197 76 39 60 6 43 18 41 81 195 106 2 157 227 236 208 103 212 84 47 225 123 235 54 115 105 168 127 91 215 197 142 158 210 154 152 186 15 120 74 186 251 126 252 196 207 200 250 67 244 101 206 18 106 159 72 251 132 166 56 106 29 16 105 159 200 248 147 247 34 19 251 117 223 3 180 14 8 163 60 23 134 79 115 37 215 207 150 141 63 64 74 181 47 126 170 202 18 120 241 209 218 58 164 7 189 163 103 227 64 5 66 227 19 78 27 139 247 34 59 113 93 28 91 78 118 76 18 10 109 129 200 6 68 198 167 99 228 11 156 138 136 149 223 170 5 120 177 28 1 41 132 216 181 246 225 199 232 206 180 18 232 60 97 156 121 104 10 113 102 133 107 192 49 96 168 11 147 89 183 158 232 228 245 157 41 206 156 236 34 50 62 218 4 241 220 128 80 23 56 127 249 115 30 89 81 139 227 56 187 0 89 74 96 211 178 7 30 226 170 190 76 62 28 45 102 97 139 64 218 6 215 174 77 161 248 221 248 232 248 158 182 62 103 78 118 243 247 134 227 0 188 209 112 146 246 166 62 180 241 49 54 68 91 31 99 3 242 225 40 217 104 128 197 11 151 0 108 42 37 176 113 209 125 139 24 200 158 139 131 22 98 128 194 100 54 173 39 58 39 1 77 60 106 235 211 214 212 203 27 13 215 239 190 255 216 245 41 134 16 99 3 44 33 198 134 24 2 122 51 173 212 204 175 1 216 88 74 96 229 236 234 42 252 232 106 177 184 76 48 89 76 145 41 208 122 162 135 191 238 60 78 235 137 30 66 93 192 143 198 9 162 28 45 199 59 121 179 161 121 250 246 249 222 106 252 104 28 95 95 37 208 185 120 73 11 228 163 44 149 213 30 192 202 210 199 112 129 163 138 178 134 58 32 52 62 198 104 180 13 57 219 52 200 59 123 218 98 121 63 225 233 221 15 176 104 213 93 92 104 206 240 238 75 231 167 129 255 230 189 71 166 239 247 78 156 173 227 32 100 1 96 65 41 1 111 40 247 95 242 206 8 145 49 76 109 17 38 192 39 236 221 151 206 243 253 61 15 150 5 255 237 161 85 72 225 148 63 116 28 80 66 16 217 113 166 62 138 19 75 16 104 83 192 149 2 37 4 82 56 147 254 252 7 181 211 130 253 115 207 185 105 191 61 255 65 237 117 255 43 117 37 4 174 20 24 227 51 245 148 156 32 112 49 240 67 60 165 112 165 68 73 129 20 215 124 103 227 154 155 30 169 59 27 215 92 55 191 212 149 20 184 82 226 41 69 224 135 0 23 75 9 156 26 27 245 241 164 196 149 2 233 136 226 122 77 241 134 35 107 203 130 55 28 89 59 109 110 169 75 167 152 189 39 37 99 163 62 192 169 82 2 141 67 233 113 18 74 146 80 69 18 74 78 151 113 247 135 235 174 3 223 253 225 186 155 202 46 133 131 146 14 174 20 147 177 135 210 227 0 141 165 4 14 247 246 13 99 35 75 210 117 73 184 177 18 101 2 238 77 173 7 96 111 106 253 45 193 165 136 193 93 73 210 117 177 145 165 183 111 24 224 112 41 1 109 173 221 219 114 58 77 66 41 146 202 197 19 18 37 68 89 73 127 119 116 195 45 101 23 78 177 240 60 33 73 42 151 132 82 124 217 114 9 107 237 94 64 151 59 140 94 110 107 31 34 159 11 169 244 92 146 158 139 167 36 82 10 132 112 110 219 165 20 120 74 146 244 92 42 61 151 124 46 228 76 219 32 192 203 55 58 13 3 99 236 142 212 209 78 60 225 50 219 75 80 229 86 144 148 10 87 72 164 35 102 236 174 144 36 165 162 202 173 96 182 151 192 19 46 169 163 157 24 99 119 148 54 170 165 239 5 175 244 167 179 175 166 142 117 80 233 42 230 84 120 204 170 240 72 42 133 23 215 132 112 184 161 75 225 224 73 65 82 41 102 85 120 204 169 240 168 116 21 169 99 29 244 167 179 175 150 107 80 203 181 100 219 91 219 47 121 142 227 212 111 122 236 65 60 165 72 168 136 66 20 18 24 29 239 148 22 51 101 187 20 142 131 51 101 205 19 202 165 66 41 132 117 56 156 58 71 107 251 165 3 55 106 76 203 54 165 31 255 233 242 179 230 231 150 145 145 124 253 150 186 165 204 173 78 146 116 61 2 29 17 26 141 54 6 99 139 237 185 19 19 144 162 40 189 39 21 82 8 70 70 243 188 127 164 141 158 158 204 129 230 215 134 159 93 253 171 123 110 171 43 22 205 175 13 239 201 255 72 251 233 161 230 237 15 45 155 207 250 85 247 83 149 172 152 156 80 170 192 132 229 242 33 31 53 119 112 234 203 126 178 3 193 254 150 183 50 191 143 151 90 223 14 1 0 90 222 202 188 169 18 78 211 149 58 127 235 167 159 247 62 254 245 133 115 103 45 94 120 55 243 190 50 155 100 194 69 41 65 20 25 242 133 144 244 224 24 29 221 195 116 117 143 140 143 13 68 31 157 255 87 246 111 81 193 118 205 232 221 176 140 25 192 7 50 81 193 14 182 29 28 125 29 56 216 179 34 183 252 244 125 131 203 19 213 178 70 184 78 165 35 112 173 33 52 161 205 21 70 117 95 166 55 108 73 127 145 111 1 70 129 33 32 19 199 49 55 125 53 187 147 246 191 1 0 139 105 198 147 49 44 179 21 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!MyBlogLibrary methodsFor: 'uploaded' stamp: 'NicolasVanderAuwera 8/31/2012 06:46'!
warningPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 32 0 0 0 32 8 6 0 0 0 115 122 122 244 0 0 0 9 112 72 89 115 0 0 11 19 0 0 11 19 1 0 154 156 24 0 0 10 79 105 67 67 80 80 104 111 116 111 115 104 111 112 32 73 67 67 32 112 114 111 102 105 108 101 0 0 120 218 157 83 103 84 83 233 22 61 247 222 244 66 75 136 128 148 75 111 82 21 8 32 82 66 139 128 20 145 38 42 33 9 16 74 136 33 161 217 21 81 193 17 69 69 4 27 200 160 136 3 142 142 128 140 21 81 44 12 138 10 216 7 228 33 162 142 131 163 136 138 202 251 225 123 163 107 214 188 247 230 205 254 181 215 62 231 172 243 157 179 207 7 192 8 12 150 72 51 81 53 128 12 169 66 30 17 224 131 199 196 198 225 228 46 64 129 10 36 112 0 16 8 179 100 33 115 253 35 1 0 248 126 60 60 43 34 192 7 190 0 1 120 211 11 8 0 192 77 155 192 48 28 135 255 15 234 66 153 92 1 128 132 1 192 116 145 56 75 8 128 20 0 64 122 142 66 166 0 64 70 1 128 157 152 38 83 0 160 4 0 96 203 99 98 227 0 80 45 0 96 39 127 230 211 0 128 157 248 153 123 1 0 91 148 33 21 1 160 145 0 32 19 101 136 68 0 104 59 0 172 207 86 138 69 0 88 48 0 20 102 75 196 57 0 216 45 0 48 73 87 102 72 0 176 183 0 192 206 16 11 178 0 8 12 0 48 81 136 133 41 0 4 123 0 96 200 35 35 120 0 132 153 0 20 70 242 87 60 241 43 174 16 231 42 0 0 120 153 178 60 185 36 57 69 129 91 8 45 113 7 87 87 46 30 40 206 73 23 43 20 54 97 2 97 154 64 46 194 121 153 25 50 129 52 15 224 243 204 0 0 160 145 21 17 224 131 243 253 120 206 14 174 206 206 54 142 182 14 95 45 234 191 6 255 34 98 98 227 254 229 207 171 112 64 0 0 225 116 126 209 254 44 47 179 26 128 59 6 128 109 254 162 37 238 4 104 94 11 160 117 247 139 102 178 15 64 181 0 160 233 218 87 243 112 248 126 60 60 69 161 144 185 217 217 229 228 228 216 74 196 66 91 97 202 87 125 254 103 194 95 192 87 253 108 249 126 60 252 247 245 224 190 226 36 129 50 93 129 71 4 248 224 194 204 244 76 165 28 207 146 9 132 98 220 230 143 71 252 183 11 255 252 29 211 34 196 73 98 185 88 42 20 227 81 18 113 142 68 154 140 243 50 165 34 137 66 146 41 197 37 210 255 100 226 223 44 251 3 62 223 53 0 176 106 62 1 123 145 45 168 93 99 3 246 75 39 16 88 116 192 226 247 0 0 242 187 111 193 212 40 8 3 128 104 131 225 207 119 255 239 63 253 71 160 37 0 128 102 73 146 113 0 0 94 68 36 46 84 202 179 63 199 8 0 0 68 160 129 42 176 65 27 244 193 24 44 192 6 28 193 5 220 193 11 252 96 54 132 66 36 196 194 66 16 66 10 100 128 28 114 96 41 172 130 66 40 134 205 176 29 42 96 47 212 64 29 52 192 81 104 134 147 112 14 46 194 85 184 14 61 112 15 250 97 8 158 193 40 188 129 9 4 65 200 8 19 97 33 218 136 1 98 138 88 35 142 8 23 153 133 248 33 193 72 4 18 139 36 32 201 136 20 81 34 75 145 53 72 49 82 138 84 32 85 72 29 242 61 114 2 57 135 92 70 186 145 59 200 0 50 130 252 134 188 71 49 148 129 178 81 61 212 12 181 67 185 168 55 26 132 70 162 11 208 100 116 49 154 143 22 160 155 208 114 180 26 61 140 54 161 231 208 171 104 15 218 143 62 67 199 48 192 232 24 7 51 196 108 48 46 198 195 66 177 56 44 9 147 99 203 177 34 172 12 171 198 26 176 86 172 3 187 137 245 99 207 177 119 4 18 129 69 192 9 54 4 119 66 32 97 30 65 72 88 76 88 78 216 72 168 32 28 36 52 17 218 9 55 9 3 132 81 194 39 34 147 168 75 180 38 186 17 249 196 24 98 50 49 135 88 72 44 35 214 18 143 19 47 16 123 136 67 196 55 36 18 137 67 50 39 185 144 2 73 177 164 84 210 18 210 70 210 110 82 35 233 44 169 155 52 72 26 35 147 201 218 100 107 178 7 57 148 44 32 43 200 133 228 157 228 195 228 51 228 27 228 33 242 91 10 157 98 64 113 164 248 83 226 40 82 202 106 74 25 229 16 229 52 229 6 101 152 50 65 85 163 154 82 221 168 161 84 17 53 143 90 66 173 161 182 82 175 81 135 168 19 52 117 154 57 205 131 22 73 75 165 173 162 149 211 26 104 23 104 247 105 175 232 116 186 17 221 149 30 78 151 208 87 210 203 233 71 232 151 232 3 244 119 12 13 134 21 131 199 136 103 40 25 155 24 7 24 103 25 119 24 175 152 76 166 25 211 139 25 199 84 48 55 49 235 152 231 153 15 153 111 85 88 42 182 42 124 21 145 202 10 149 74 149 38 149 27 42 47 84 169 170 166 170 222 170 11 85 243 85 203 84 143 169 94 83 125 174 70 85 51 83 227 169 9 212 150 171 85 170 157 80 235 83 27 83 103 169 59 168 135 170 103 168 111 84 63 164 126 89 253 137 6 89 195 76 195 79 67 164 81 160 177 95 227 188 198 32 11 99 25 179 120 44 33 107 13 171 134 117 129 53 196 38 177 205 217 124 118 42 187 152 253 29 187 139 61 170 169 161 57 67 51 74 51 87 179 82 243 148 102 63 7 227 152 113 248 156 116 78 9 231 40 167 151 243 126 138 222 20 239 41 226 41 27 166 52 76 185 49 101 92 107 170 150 151 150 88 171 72 171 81 171 71 235 189 54 174 237 167 157 166 189 69 187 89 251 129 14 65 199 74 39 92 39 71 103 143 206 5 157 231 83 217 83 221 167 10 167 22 77 61 58 245 174 46 170 107 165 27 161 187 68 119 191 110 167 238 152 158 190 94 128 158 76 111 167 222 121 189 231 250 28 125 47 253 84 253 109 250 167 245 71 12 88 6 179 12 36 6 219 12 206 24 60 197 53 113 111 60 29 47 199 219 241 81 67 93 195 64 67 165 97 149 97 151 225 132 145 185 209 60 163 213 70 141 70 15 140 105 198 92 227 36 227 109 198 109 198 163 38 6 38 33 38 75 77 234 77 238 154 82 77 185 166 41 166 59 76 59 76 199 205 204 205 162 205 214 153 53 155 61 49 215 50 231 155 231 155 215 155 223 183 96 90 120 90 44 182 168 182 184 101 73 178 228 90 166 89 238 182 188 110 133 90 57 89 165 88 85 90 93 179 70 173 157 173 37 214 187 173 187 167 17 167 185 78 147 78 171 158 214 103 195 176 241 182 201 182 169 183 25 176 229 216 6 219 174 182 109 182 125 97 103 98 23 103 183 197 174 195 238 147 189 147 125 186 125 141 253 61 7 13 135 217 14 171 29 90 29 126 115 180 114 20 58 86 58 222 154 206 156 238 63 125 197 244 150 233 47 103 88 207 16 207 216 51 227 182 19 203 41 196 105 157 83 155 211 71 103 23 103 185 115 131 243 136 139 137 75 130 203 46 151 62 46 155 27 198 221 200 189 228 74 116 245 113 93 225 122 210 245 157 155 179 155 194 237 168 219 175 238 54 238 105 238 135 220 159 204 52 159 41 158 89 51 115 208 195 200 67 224 81 229 209 63 11 159 149 48 107 223 172 126 79 67 79 129 103 181 231 35 47 99 47 145 87 173 215 176 183 165 119 170 247 97 239 23 62 246 62 114 159 227 62 227 60 55 222 50 222 89 95 204 55 192 183 200 183 203 79 195 111 158 95 133 223 67 127 35 255 100 255 122 255 209 0 167 128 37 1 103 3 137 129 65 129 91 2 251 248 122 124 33 191 142 63 58 219 101 246 178 217 237 65 140 160 185 65 21 65 143 130 173 130 229 193 173 33 104 200 236 144 173 33 247 231 152 206 145 206 105 14 133 80 126 232 214 208 7 97 230 97 139 195 126 12 39 133 135 133 87 134 63 142 112 136 88 26 209 49 151 53 119 209 220 67 115 223 68 250 68 150 68 222 155 103 49 79 57 175 45 74 53 42 62 170 46 106 60 218 55 186 52 186 63 198 46 102 89 204 213 88 157 88 73 108 75 28 57 46 42 174 54 110 108 190 223 252 237 243 135 226 157 226 11 227 123 23 152 47 200 93 112 121 161 206 194 244 133 167 22 169 46 18 44 58 150 64 76 136 78 56 148 240 65 16 42 168 22 140 37 242 19 119 37 142 10 121 194 29 194 103 34 47 209 54 209 136 216 67 92 42 30 78 242 72 42 77 122 146 236 145 188 53 121 36 197 51 165 44 229 185 132 39 169 144 188 76 13 76 221 155 58 158 22 154 118 32 109 50 61 58 189 49 131 146 145 144 113 66 170 33 77 147 182 103 234 103 230 102 118 203 172 101 133 178 254 197 110 139 183 47 30 149 7 201 107 179 144 172 5 89 45 10 182 66 166 232 84 90 40 215 42 7 178 103 101 87 102 191 205 137 202 57 150 171 158 43 205 237 204 179 202 219 144 55 156 239 159 255 237 18 194 18 225 146 182 165 134 75 87 45 29 88 230 189 172 106 57 178 60 113 121 219 10 227 21 5 43 134 86 6 172 60 184 138 182 42 109 213 79 171 237 87 151 174 126 189 38 122 77 107 129 94 193 202 130 193 181 1 107 235 11 85 10 229 133 125 235 220 215 237 93 79 88 47 89 223 181 97 250 134 157 27 62 21 137 138 174 20 219 23 151 21 127 216 40 220 120 229 27 135 111 202 191 153 220 148 180 169 171 196 185 100 207 102 210 102 233 230 222 45 158 91 14 150 170 151 230 151 14 110 13 217 218 180 13 223 86 180 237 245 246 69 219 47 151 205 40 219 187 131 182 67 185 163 191 60 184 188 101 167 201 206 205 59 63 84 164 84 244 84 250 84 54 238 210 221 181 97 215 248 110 209 238 27 123 188 246 52 236 213 219 91 188 247 253 62 201 190 219 85 1 85 77 213 102 213 101 251 73 251 179 247 63 174 137 170 233 248 150 251 109 93 173 78 109 113 237 199 3 210 3 253 7 35 14 182 215 185 212 213 29 210 61 84 82 143 214 43 235 71 14 199 31 190 254 157 239 119 45 13 54 13 85 141 156 198 226 35 112 68 121 228 233 247 9 223 247 30 13 58 218 118 140 123 172 225 7 211 31 118 29 103 29 47 106 66 154 242 154 70 155 83 154 251 91 98 91 186 79 204 62 209 214 234 222 122 252 71 219 31 15 156 52 60 89 121 74 243 84 201 105 218 233 130 211 147 103 242 207 140 157 149 157 125 126 46 249 220 96 219 162 182 123 231 99 206 223 106 15 111 239 186 16 116 225 210 69 255 139 231 59 188 59 206 92 242 184 116 242 178 219 229 19 87 184 87 154 175 58 95 109 234 116 234 60 254 147 211 79 199 187 156 187 154 174 185 92 107 185 238 122 189 181 123 102 247 233 27 158 55 206 221 244 189 121 241 22 255 214 213 158 57 61 221 189 243 122 111 247 197 247 245 223 22 221 126 114 39 253 206 203 187 217 119 39 238 173 188 79 188 95 244 64 237 65 217 67 221 135 213 63 91 254 220 216 239 220 127 106 192 119 160 243 209 220 71 247 6 133 131 207 254 145 245 143 15 67 5 143 153 143 203 134 13 134 235 158 56 62 57 57 226 63 114 253 233 252 167 67 207 100 207 38 158 23 254 162 254 203 174 23 22 47 126 248 213 235 215 206 209 152 209 161 151 242 151 147 191 109 124 165 253 234 192 235 25 175 219 198 194 198 30 190 201 120 51 49 94 244 86 251 237 193 119 220 119 29 239 163 223 15 79 228 124 32 127 40 255 104 249 177 245 83 208 167 251 147 25 147 147 255 4 3 152 243 252 99 51 45 219 0 0 0 32 99 72 82 77 0 0 122 37 0 0 128 131 0 0 249 255 0 0 128 233 0 0 117 48 0 0 234 96 0 0 58 152 0 0 23 111 146 95 197 70 0 0 7 2 73 68 65 84 120 218 196 151 93 108 92 71 21 199 127 51 247 195 187 119 215 235 207 58 142 157 216 73 220 186 40 33 216 86 130 26 104 73 210 82 212 164 169 28 65 84 21 129 132 80 164 10 196 27 106 75 165 10 169 138 144 170 22 84 137 39 64 66 130 194 27 66 145 72 68 164 182 16 16 33 70 81 105 112 72 210 56 141 243 233 248 219 142 189 190 94 239 222 189 247 206 12 15 187 118 178 137 77 156 190 100 164 115 239 220 153 115 207 252 207 153 115 206 156 17 198 24 30 102 147 60 228 102 3 252 237 167 237 171 98 126 127 110 203 203 13 246 194 193 26 171 176 201 147 97 218 17 202 138 140 165 242 218 205 205 169 228 213 91 113 234 55 123 106 62 249 245 106 100 61 243 163 27 183 1 252 191 118 120 182 39 221 234 102 143 110 78 140 239 122 169 83 200 250 150 167 73 100 90 176 220 52 82 218 104 21 18 23 231 189 192 31 105 154 25 61 189 99 120 60 249 171 11 65 243 63 70 194 218 222 3 117 253 185 85 89 96 165 214 151 235 56 242 98 195 249 222 230 206 189 52 61 250 10 150 227 1 6 12 229 183 193 96 112 189 70 188 186 118 234 219 190 196 198 104 65 118 94 254 235 211 147 87 143 207 255 211 239 56 250 100 250 202 254 207 4 224 116 190 173 127 239 166 100 247 198 109 111 99 39 106 192 24 84 113 14 21 204 161 195 5 140 138 48 58 6 3 66 90 8 39 129 149 168 65 186 41 154 59 247 210 208 182 131 244 217 63 244 254 125 168 173 127 155 55 212 243 64 0 250 243 235 207 63 255 133 199 183 180 110 254 6 8 65 52 63 78 228 143 162 85 8 90 131 209 24 202 111 99 192 44 246 53 66 218 184 153 22 236 116 19 27 123 190 131 235 253 185 251 47 23 205 249 30 239 230 231 87 5 224 116 190 173 255 249 173 143 109 105 221 252 117 116 232 19 204 92 67 71 133 242 34 6 99 52 160 185 149 205 113 246 210 56 177 82 116 180 214 176 161 185 166 4 42 214 20 38 103 17 51 151 73 52 118 210 210 185 135 103 205 177 45 31 126 42 150 181 132 188 123 207 119 183 123 221 45 159 235 37 206 141 147 31 63 135 46 250 24 85 196 168 34 58 14 48 101 242 105 226 165 215 126 199 193 67 127 194 107 223 69 62 159 91 154 211 113 17 85 200 178 112 243 35 194 236 77 214 118 124 149 157 173 178 187 47 215 113 100 69 0 135 103 123 210 95 201 220 232 109 239 250 38 113 126 130 194 212 0 70 221 94 208 168 0 163 131 165 177 173 187 190 77 85 50 13 192 23 159 59 136 147 204 148 230 22 73 23 49 42 79 126 188 159 200 31 166 181 115 47 79 101 174 247 30 158 237 73 47 11 96 157 155 61 214 180 105 55 210 232 242 226 69 180 10 42 232 206 49 113 87 10 115 109 133 89 228 211 139 124 37 203 45 140 245 35 117 145 134 150 30 214 185 217 99 247 0 56 60 219 227 62 145 190 177 179 177 125 7 133 201 243 152 184 80 169 205 221 164 139 132 254 216 146 144 48 152 39 156 27 42 109 149 14 49 186 8 186 88 178 130 46 130 42 176 48 250 111 26 90 186 121 34 125 125 231 225 217 30 183 2 64 198 10 222 168 109 222 140 46 76 163 194 108 201 212 186 108 70 83 188 221 215 65 249 187 72 60 119 121 9 64 110 242 82 105 220 220 177 176 41 130 9 203 227 33 58 156 69 45 140 80 93 215 78 198 10 222 168 0 80 111 229 95 168 174 219 64 48 243 105 89 192 226 30 150 52 166 172 85 73 179 82 95 77 159 94 2 80 24 255 184 252 95 89 123 19 130 142 48 58 4 19 149 128 232 136 194 212 57 82 153 181 212 91 249 23 42 194 176 222 206 117 184 174 139 158 159 40 199 120 101 108 99 12 80 142 121 29 99 116 68 48 121 134 168 224 227 36 51 196 227 125 232 40 7 70 221 193 95 206 150 75 61 131 81 5 156 140 160 222 206 117 84 0 72 91 197 148 32 0 2 116 84 44 239 101 92 166 168 20 255 58 174 16 8 48 115 189 143 186 13 95 166 48 113 250 190 135 143 0 132 45 144 228 73 91 197 84 5 0 91 104 17 205 15 162 11 83 232 232 78 13 110 255 45 172 69 49 183 91 126 250 2 26 16 150 184 255 241 39 4 210 145 96 114 216 66 139 10 0 177 145 198 16 96 185 178 100 44 181 202 98 34 28 161 232 103 86 5 64 88 2 203 149 104 138 196 70 154 10 0 57 85 181 160 141 170 181 93 11 163 75 39 220 106 42 37 227 95 36 93 215 198 172 20 247 81 94 148 204 239 90 196 177 34 167 170 22 42 0 204 168 212 245 48 10 186 147 94 9 128 70 193 42 172 16 231 71 200 14 252 22 113 63 0 178 180 184 229 90 132 133 152 25 149 186 94 9 32 78 29 201 231 252 238 186 71 210 88 37 135 71 179 140 47 220 233 128 126 204 249 107 5 98 101 104 95 227 210 209 154 88 121 239 109 137 85 101 35 93 155 124 46 199 76 220 112 164 34 15 248 42 241 214 66 118 14 164 192 78 58 88 9 11 233 72 132 37 86 164 160 122 59 223 122 243 63 188 252 179 171 172 217 254 67 130 216 44 203 39 29 137 149 176 176 147 14 72 193 66 118 14 95 37 222 170 0 112 160 174 63 60 149 219 112 98 122 212 199 74 56 216 73 23 203 181 144 182 68 72 177 44 117 237 254 62 85 201 26 0 186 118 127 143 76 99 219 61 60 210 150 88 174 85 146 151 112 152 30 243 57 149 219 112 226 64 93 127 120 207 97 52 28 214 238 155 25 247 137 149 193 242 92 44 207 69 186 54 194 150 32 197 61 148 191 250 123 116 228 3 48 119 233 61 226 194 104 197 188 176 37 210 181 151 100 197 202 48 51 230 51 28 214 238 91 182 32 57 80 215 159 59 233 119 28 245 6 198 122 59 182 183 33 44 137 144 18 21 132 232 72 97 116 165 63 4 211 31 49 116 236 153 10 71 171 112 58 199 194 74 184 216 41 23 105 91 92 63 55 196 73 127 211 209 187 11 213 138 67 245 201 244 149 253 39 70 27 207 12 15 76 96 39 19 184 153 36 78 58 89 50 161 99 35 164 44 133 212 74 36 37 150 99 99 39 93 156 116 18 55 147 196 78 38 24 30 152 224 196 104 227 153 229 10 212 123 74 178 109 222 80 207 241 193 245 231 159 149 35 91 218 186 214 33 93 27 21 216 196 65 132 14 99 116 172 48 90 151 178 178 89 204 177 32 164 68 218 22 210 181 177 19 14 86 194 69 88 146 161 255 14 115 124 48 253 201 74 133 233 178 55 163 87 15 245 117 125 48 144 58 123 169 239 10 81 168 112 170 61 18 245 213 84 213 167 169 170 77 83 85 147 194 173 246 112 51 73 220 106 143 170 154 84 105 188 62 77 162 190 26 167 218 35 10 21 131 255 186 194 7 3 169 179 175 30 234 235 122 208 178 92 190 254 147 190 175 189 254 202 83 127 124 110 238 226 206 198 246 6 214 62 222 140 237 85 129 183 152 6 13 198 128 16 148 31 229 228 84 140 25 187 48 202 244 141 91 124 48 190 254 196 59 239 158 124 177 172 168 122 224 139 201 59 239 158 124 237 151 181 222 163 63 248 238 218 55 119 92 30 124 172 101 141 35 50 77 25 188 90 15 219 181 145 150 68 43 77 28 198 228 179 121 252 73 159 209 137 200 156 154 108 24 252 197 123 83 135 252 236 141 203 159 245 102 164 129 34 144 245 179 249 209 183 127 126 234 199 64 205 190 253 93 123 182 110 52 219 215 87 207 62 146 180 149 227 8 37 34 99 153 66 108 69 55 231 221 169 115 215 156 143 143 29 185 240 62 12 206 1 83 64 182 44 71 175 152 166 31 246 245 252 127 3 0 58 21 228 67 84 76 180 191 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

Announcement subclass: #Flash
	instanceVariableNames: 'type message'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!Flash class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/5/2012 06:54'!
message: aString
	^ self new message: aString! !

!Flash class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/5/2012 06:54'!
type: aType message: aString
	^ (self message: aString) type: aType! !

!Flash methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:39'!
message
	^ message! !

!Flash methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:39'!
message: anObject
	message := anObject! !

!Flash methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:57'!
type
	^ type! !

!Flash methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:56'!
type: aString
	type := aString! !

Announcement subclass: #RefreshBody
	instanceVariableNames: 'body'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!RefreshBody class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/9/2012 05:52'!
body: aComponent
	^ self new body: aComponent! !

!RefreshBody methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 05:53'!
body
	^ body! !

!RefreshBody methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 05:53'!
body: anObject
	body := anObject! !

Announcement subclass: #RefreshContent
	instanceVariableNames: 'content'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!RefreshContent class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/18/2012 13:17'!
content: aContentView
	^ self new content: aContentView! !

!RefreshContent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:16'!
content
	^ content! !

!RefreshContent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:16'!
content: anObject
	content := anObject! !

RRComponent subclass: #MyBlogRSS
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogRSS class methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/3/2012 07:54'!
canBeRoot
	^ true! !

!MyBlogRSS methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 08:56'!
renderChannelOn: rss
	rss title: self title.
	rss link: '/' , MyBlogComponent url.
	rss description: MyBlogComponent description.
	rss language englishUnitedStates.
	rss publicationDate: 'Tue, 10 Jun 2003 04:00:00 GMT'.
	rss lastBuildDate: 'Tue, 10 Jun 2003 09:41:01 GMT'.
	rss defaultDocumentation.
	rss generator: 'Weblog Editor 2.0'.
	rss managingEditor: 'admin@myblog.com'.
	rss webMaster: 'webmaster@myblog.com'! !

!MyBlogRSS methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 08:35'!
renderContentOn: rss
	self renderChannelOn: rss.
	self renderPostsOn: rss! !

!MyBlogRSS methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 08:05'!
renderPostItem: aPostItem on: rss
	rss
		item: [ 
			rss title: aPostItem title.
			rss author: aPostItem fullAuthor.
			rss link: '/' , MyBlogComponent url.
			rss description: aPostItem summary.
			rss publicationDate: (RRRfc822DateTime newDateAndTime: aPostItem createdAt).
			rss guid: 'http://liftoff.msfc.nasa.gov/2003/06/03.html#item573' ]! !

!MyBlogRSS methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/6/2012 18:25'!
renderPostsOn: rss
	Post database do: [ :aPostItem | self renderPostItem: aPostItem on: rss ]! !

!MyBlogRSS methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 08:32'!
title
	^ 'MyBlog'! !

WABatchedList subclass: #MyBlogBatchedList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogBatchedList commentStamp: 'NicolasVanderAuwera 9/18/2012 11:05' prior: 0!
MyBlogBatchedList customizes the class WABatchedList.!

!MyBlogBatchedList methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 09:25'!
options
	^ #(4 8 12)! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 12:19'!
renderContentOn: html
	self renderOptionsOn: html.
	super renderContentOn: html! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/4/2012 06:39'!
renderNextOn: html
	self isOnLastPage
		ifTrue: [ ^ self ].
	html space.
	html anchor
		callback: [ self nextPage ];
		with: 'Next Page '! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 11:34'!
renderOptionsOn: html
	html div
		class: 'options';
		with: [ 
					self options
						do: [ :option | 
							html anchor
								callback: [ self batchSize: option ];
								with: option ]
						separatedBy: [ html text: ' | ' ] ]! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 12:18'!
renderPagesOn: html
	html
		paragraph: [ 
			html
				strong: self batch size;
				text: ' items of ';
				strong: items size;
				text: ' are displayed.' ]! !

!MyBlogBatchedList methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/4/2012 06:39'!
renderPreviousOn: html
	self isOnFirstPage
		ifTrue: [ ^ self ].
	html anchor
		callback: [ self previousPage ];
		with: ' Previous page'.
	html space! !

WAComponent subclass: #AsideBlock
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AsideBlock methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderContentOn: html
	self renderTitleOn: html.! !

!AsideBlock methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderTitleOn: html
	html heading
		level3;
		with: self title! !

!AsideBlock methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
title
	^ ''! !

AsideBlock subclass: #AsideLastPostsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AsideLastPostsView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 12:23'!
numberOfPost
	^ 5! !

!AsideLastPostsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderContentOn: html
	super renderContentOn: html.
	self renderPostsOn: html! !

!AsideLastPostsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 13:31'!
renderPost: post on: html
	html
		listItem: [ 
			html anchor
				callback: [ self session announcer announce: (RefreshContent content: (PostView model: post)) ];
				with: post title ]! !

!AsideLastPostsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/5/2012 08:02'!
renderPostsOn: html
	html unorderedList: [ (Post last: self numberOfPost) do: [ :post | self renderPost: post on: html ] ]! !

!AsideLastPostsView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/5/2012 08:02'!
title
	^ 'Last Posts'! !

AsideBlock subclass: #AsideLoginView
	instanceVariableNames: 'email password'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AsideLoginView commentStamp: 'NicolasVanderAuwera 8/30/2012 20:18' prior: 0!
Display a login form.!

!AsideLoginView class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 8/31/2012 12:50'!
parent: aComponent
	^ self new parent: aComponent ! !

!AsideLoginView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 8/31/2012 17:19'!
login
	| user |
	user := User userWithEmail: email password: password.
	self session login: user.
	user notNil
		ifFalse: [ ^ self ].
	email := nil.
	password := nil! !

!AsideLoginView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/23/2012 16:42'!
register
	self session announcer announce: (RefreshContent content: LoginView new)! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderContentOn: html
	html div
		class: 'login';
		with: [ 
					super renderContentOn: html.
					self renderWarningOn: html.
					self renderFormOn: html.
					self renderRegisterOn: html ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 08:11'!
renderEmailOn: html
	html
		div: [ 
			html label
				for: html nextId;
				with: 'Email'.
			html textInput
				id: html lastId;
				value: email;
				callback: [ :value | email := value ];
				yourself ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 07:07'!
renderFormOn: html
	html div
		class: 'login-form';
		with: [ 
			html form: [ 
				self
					renderEmailOn: html;
					renderPasswordOn: html;
					renderSubmitOn: html;
					yourself ] ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/30/2012 20:29'!
renderPasswordOn: html
	html
		div: [ 
			html label
				for: html nextId;
				with: 'Password'.
			html passwordInput
				id: html lastId;
				value: password;
				callback: [ :value | password := value ] ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 12:01'!
renderRegisterOn: html
	html
		div: [ 
			html
				paragraph: [ 
					html text: 'Not a member? '.
					html anchor
						callback: [ self register ];
						with: 'Register' ] ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/30/2012 20:30'!
renderSubmitOn: html
	html div
		class: 'action';
		with: [ 
			html submitButton
				callback: [ self login ];
				with: 'Login' ]! !

!AsideLoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:13'!
renderWarningOn: html
	self warning isEmpty
		ifFalse: [ 
			html paragraph
				class: 'error';
				with: self warning ]! !

!AsideLoginView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 20:33'!
title
	^ 'Login'! !

!AsideLoginView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/16/2012 17:12'!
warning
	(email isNil or: [ email isEmpty ])
		ifFalse: [ ^ 'Login failed!!' ].
	^ ''! !

AsideBlock subclass: #AsideTopicsView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AsideTopicsView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:50'!
renderContentOn: html
	super renderContentOn: html.! !

!AsideTopicsView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:49'!
title
	^ 'Topics'! !

WAComponent subclass: #ContentView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!ContentView commentStamp: 'NicolasVanderAuwera 9/7/2012 07:46' prior: 0!
I am an abstract class.

Instance Variables:
	parent	<ProtoObject>!

ContentView subclass: #AboutView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!AboutView commentStamp: 'NicolasVanderAuwera 9/7/2012 07:45' prior: 0!
About page of MyBlog.!

!AboutView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 10:18'!
title
	^ 'About'! !

ContentView subclass: #ContactView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!ContactView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 18:38'!
title
	^ 'Contact'! !

!ContentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 13:27'!
renderContentOn: html
	self renderTitleOn: html! !

!ContentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 10:23'!
renderTitleOn: html
	html heading
		level2;
		with: self title! !

!ContentView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 10:24'!
title
	^ ''! !

!ContentView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:28'!
trailName
	"Used by the breadcrumb"

	^ self title! !

ContentView subclass: #ListView
	instanceVariableNames: 'pagination'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!ListView commentStamp: 'NicolasVanderAuwera 9/2/2012 08:02' prior: 0!
I am an abstract class and I render an unordered list with some data.

Instance Variables:
	parent	<MyBlogComponent>!

!ListView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:20'!
pagination
	^ pagination! !

!ListView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:23'!
postItemViews
	^ self pagination batch collect: [ :post | PostItemView model: post ]! !

!ListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 11:04'!
renderAddOn: html! !

!ListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/3/2012 11:35'!
renderContentOn: html
	super renderContentOn: html.
	self renderListOn: html.
	self renderAddOn: html! !

!ListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:20'!
renderListOn: html
	html unorderedList: [ self postItemViews do: [ :postItem | html render: postItem ] ].
	html render: self pagination! !

ListView subclass: #PostListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!PostListView commentStamp: 'NicolasVanderAuwera 9/2/2012 08:25' prior: 0!
I render a list of posts with a batched list.

Instance Variables:
	pagination	<WAAlphabeticBatchedList | WABatchedList>!

!PostListView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 06:01'!
addPost
	| postForm post |
	postForm := Post buildComponent.
	(post := self call: postForm) notNil
		ifFalse: [ ^ self ].
	Post add: post to: self session user.
	self session announcer announce: (Flash type: 'info' message: 'Post successfully added.')! !

!PostListView methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 9/18/2012 13:21'!
children
	^ super children , self postItemViews! !

!PostListView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 8/31/2012 12:31'!
editPost: post
	self call: post asComponent addValidatedForm! !

!PostListView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:47'!
initialize
	super initialize.
	pagination := MyBlogBatchedList new items: Post database! !

!PostListView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 09:08'!
postString
	| str |
	str := 'post'.
	Post number > 1
		ifTrue: [ ^ str pluralize ].
	^ str! !

!PostListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 12:07'!
renderAddOn: html
	self session isLoggedIn
		ifTrue: [ 
			html anchor
				callback: [ self addPost ];
				with: 'Add a Post' ]! !

!PostListView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 12:07'!
renderTitleOn: html! !

!PostListView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:30'!
title
	^ 'Home'! !

ListView subclass: #SearchView
	instanceVariableNames: 'list'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!SearchView class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/18/2012 09:17'!
list: aCollection
	^ self new list: aCollection! !

!SearchView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 09:19'!
initialize
	super initialize.
	list := OrderedCollection new! !

!SearchView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:17'!
list: aCollection
	list := aCollection! !

!SearchView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:46'!
matchString
	| string |
	string := 'match'.
	list size > 1
		ifTrue: [ ^ string pluralize ].
	^ string! !

!SearchView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:20'!
pagination
	^ super pagination ifNil: [ pagination := MyBlogBatchedList new items: list ]! !

!SearchView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:26'!
renderContentOn: html
	self renderTitleOn: html.
	self renderSearchDetailsOn: html.
	self renderListOn: html! !

!SearchView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:48'!
renderSearchDetailsOn: html
	html
		paragraph: [ 
			html
				text: 'Search found ';
				strong: list size greaseString;
				text: ' ';
				text: self matchString ]! !

!SearchView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 09:24'!
title
	^ 'Search'! !

ContentView subclass: #LoginView
	instanceVariableNames: 'registerForm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!LoginView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/23/2012 16:42'!
initialize
	super initialize.
	registerForm := User buildComponent! !

!LoginView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 16:40'!
renderContentOn: html
	super renderContentOn: html.
	html render: registerForm! !

!LoginView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:39'!
title
	^ 'Register'! !

WAComponent subclass: #EntryView
	instanceVariableNames: 'model'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!EntryView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:51' prior: 0!
I render a data.

Instance Variables:
	model	<Object>!

EntryView subclass: #CommentView
	instanceVariableNames: 'number'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!CommentView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:50' prior: 0!
I render a comment.

Instance Variables:
	number	<Object>!

!CommentView class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 8/31/2012 17:19'!
model: aComment number: anInteger
	^ (self model: aComment) number: anInteger! !

!CommentView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 15:41'!
number: anInteger
	number := anInteger! !

!CommentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 15:39'!
renderContentOn: html
	html div
		class: 'comment';
		with: [ 
					self
						renderTitleOn: html;
						renderTextOn: html;
						renderTimeOn: html ]! !

!CommentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:26'!
renderTimeOn: html
	html paragraph
		class: 'posttime';
		with: [ 
					html
						text: 'posted at ';
						text: model createdAt asTime;
						text: ' on ';
						text: model createdAt asDate;
						text: ' by '.
					html anchor
						callback: [ self setUser ];
						with: model author name ]! !

!CommentView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 15:41'!
renderTitleOn: html
	html heading
		level4;
		with: [ 
					html span
						class: 'commentnum';
						with: number greaseString.
					html text: model title ]! !

!CommentView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/16/2012 17:27'!
setUser
	self session announcer announce: (RefreshBody body: (UserView model: model author))! !

!EntryView class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 8/31/2012 15:33'!
model: aPost
	^ self new model: aPost! !

!EntryView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 15:33'!
model: aPost
	model := aPost! !

!EntryView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 17:21'!
renderTextOn: html
	html paragraph: model text! !

!EntryView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 17:20'!
renderTitleOn: html! !

!EntryView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:36'!
title
	^ ''! !

!EntryView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:33'!
trailName
	"Used by the breadcrumb"

	^ self title! !

EntryView subclass: #PostItemView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 05:59'!
renderAuthorOn: html
	html heading
		level4;
		class: 'byline';
		with: [ 
					html text: 'by     '.
					html anchor
						callback: [ self setUser ];
						with: model creator name ]! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 09:59'!
renderContentOn: html
	html
		listItem: [ 
			self renderTitleOn: html.
			self renderAuthorOn: html.
			self renderSummaryOn: html.
			self renderTimeOn: html ]! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 09:57'!
renderSummaryOn: html
	html paragraph: model summary! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 09:58'!
renderTimeOn: html
	html paragraph
		class: 'posttime';
		with: [ 
					html
						text: ' posted at ';
						strong: model time;
						text: ' on ';
						strong: model date ]! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 06:00'!
renderTitleOn: html
	html heading
		level3;
		class: 'title';
		with: [ 
					html anchor
						callback: [ self setPost ];
						with: self title ]! !

!PostItemView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/18/2012 13:19'!
setPost
	self session announcer announce: (RefreshContent content: (PostView model: model))! !

!PostItemView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/18/2012 13:33'!
setUser
	self session announcer announce: (RefreshContent content: (UserView model: model creator))! !

!PostItemView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 10:27'!
title
	^ model title! !

PostItemView subclass: #PostView
	instanceVariableNames: 'commentForm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!PostView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:52' prior: 0!
I render a post.

Instance Variables:
	commentForm	<MAContainerMorph | WAComponent>!

!PostView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 06:01'!
addComment: comment
	comment author: self session user.
	model addComment: comment.
	self session announcer announce: (Flash type: 'info' message: 'Comment successfully added.')! !

!PostView methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 8/31/2012 15:36'!
children
	^ self commentViews , (Array with: commentForm)! !

!PostView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:08'!
commentViews
	^ model comments collectWithIndex: [ :comment :index | CommentView model: comment number: index ]! !

!PostView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/7/2012 07:32'!
initialize
	super initialize.
	commentForm := Comment buildComponentWith: {(#save -> 'Save')}.
	commentForm onAnswer: [ :comment | self addComment: comment ]! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 14:58'!
renderCommentFormOn: html
	self session isLoggedIn
		ifTrue: [ 
			html heading
				level4;
				with: 'Post a comment'.
			html render: commentForm ]
		ifFalse: [ 
			html paragraph
				class: 'info';
				with: 'To post a comment, you have to be logged.' ]! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 15:37'!
renderCommentsOn: html
	html heading
		level3;
		with: 'Comments'.
	html unorderedList: [ self commentViews do: [ :commentView | html render: commentView ] ].
	self renderCommentFormOn: html! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 8/31/2012 14:46'!
renderContentOn: html
	html div
		class: 'post';
		with: [ 
					self renderPostOn: html.
					self renderCommentsOn: html ]! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 08:08'!
renderDetailsOn: html
	html paragraph: model category! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 08:07'!
renderPostOn: html
	self renderTitleOn: html.
	self renderDetailsOn: html.
	self renderTextOn: html! !

!PostView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 10:27'!
renderTitleOn: html
	html heading
		level2;
		with: self title! !

EntryView subclass: #UserView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!UserView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:52' prior: 0!
I render an user.!

UserView subclass: #LoggedView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!LoggedView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/4/2012 07:10'!
renderContentOn: html
	html div
		class: 'logged';
		with: [ 
					html
						paragraph: [ 
							self renderAvatarOn: html.
							html
								text: 'Logged in as ';
								break;
								strong: model name capitalizedPhrase;
								text: '. '.
							html break.
							html anchor
								callback: [ self session logout ];
								with: 'Logout' ] ]! !

!UserView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/1/2012 07:42'!
edit
	self call: model asComponent addValidatedForm! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/4/2012 07:09'!
renderAvatarOn: html
	model hasAvatar
		ifTrue: [ html image url: model avatar url ]! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:56'!
renderBiographyOn: html
	model hasBiography
		ifTrue: [ html paragraph: model biography ]! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 07:41'!
renderContentOn: html
	self renderNameOn: html.
	self renderAvatarOn: html.
	self renderBiographyOn: html.
	self renderPostsOn: html.
	self renderEditOn: html! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 07:40'!
renderEditOn: html
	model = self session user
		ifTrue: [ 
			html anchor
				callback: [ self edit ];
				with: 'Edit my profile' ]! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 07:41'!
renderNameOn: html
	html heading
		level1;
		with: model name asCapitalizedPhrase! !

!UserView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 07:41'!
renderPostsOn: html
	html heading
		level2;
		with: 'Posts By This Authors'.
	model posts do: [ :post |  ]! !

!UserView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:32'!
title
	^ 'Profile'! !

WAComponent subclass: #FooterView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!FooterView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/8/2012 12:05'!
copyright
	^ 'Copyright  2012 -- MyBlog'! !

!FooterView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/8/2012 11:34'!
renderContentOn: html
	html footer: [ self renderCopyrightOn: html ]! !

!FooterView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/8/2012 12:02'!
renderCopyrightOn: html
	html span
		class: 'copyright';
		with: self copyright! !

WAComponent subclass: #HeaderView
	instanceVariableNames: 'menu search'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!HeaderView methodsFor: 'announce' stamp: 'NicolasVanderAuwera 9/9/2012 16:38'!
announce: aComponent
	self session announcer announce: (RefreshBody body: aComponent)! !

!HeaderView methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 9/9/2012 16:45'!
children
	^ Array with: menu with: search! !

!HeaderView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 09:04'!
initialize
	super initialize.
	self setupMenu.
	search := SearchFormView new! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:27'!
renderContentOn: html
	html
		header: [ 
			html div
				class: 'container';
				with: [ 
							self renderLogoOn: html.
							self renderMenuOn: html.
							self renderSearchOn: html ] ]! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:58'!
renderLogoOn: html
	html div
		class: 'four columns';
		with: [ self renderTitleOn: html ]! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 17:29'!
renderMenuOn: html
	html div
		class: 'eight columns';
		with: [ html render: menu ]! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 17:32'!
renderSearchOn: html
	html div
		class: 'search four columns';
		with: [ html render: search ]! !

!HeaderView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/16/2012 17:59'!
renderTitleOn: html
	html heading
		level1;
		with: [ 
					html anchor
						callback: [ self setHome ];
						with: self title ]! !

!HeaderView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 16:40'!
setHome
	self announce: PostListView new! !

!HeaderView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/9/2012 16:40'!
setupMenu
	menu := MenuView new
		addEntry: 'Home' withAction: [ self setHome ];
		addEntry: 'About' withAction: [ self announce: AboutView new ];
		addEntry: 'Contact' withAction: [ self announce: ContactView new ];
		yourself! !

!HeaderView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 16:42'!
title
	^ 'MyBlog'! !

WAComponent subclass: #MenuView
	instanceVariableNames: 'entries'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MenuView commentStamp: 'NicolasVanderAuwera 9/2/2012 09:51' prior: 0!
I display a link for each entry.

Instance Variables:
	entries	<(Collection of: (CustomHelp class | HelpTopic | KMKeymap | KMSingleKeyShortcut | KeyNotFound | LeafNode | LookupKey | MADictionaryAccessor | OBKeystroke | Pragma | WAAttributeNotFound | WAAttributeSearchContext | WACallback | WAConfigurationElement | WARadioGroup | WARequestCookie | WASession | WeakKeyAssociation))>!

!MenuView methodsFor: 'adding' stamp: 'NicolasVanderAuwera 8/31/2012 12:43'!
addEntry: label withAction: actionBlock
	entries add: label -> actionBlock! !

!MenuView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/8/2012 11:32'!
initialize
	super initialize.
	entries := OrderedCollection new! !

!MenuView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 11:43'!
renderContentOn: html
	html
		navigation: [ 
			html unorderedList
				class: 'menu';
				with: [ entries do: [ :item | self renderItem: item on: html ] ] ]! !

!MenuView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/2/2012 11:38'!
renderItem: item on: html
	html
		listItem: [ 
			html anchor
				callback: item value;
				with: item key ]! !

WAComponent subclass: #MyBlogComponent
	instanceVariableNames: 'trail content flash type sidebar footer header'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogComponent commentStamp: 'NicolasVanderAuwera 8/30/2012 16:31' prior: 0!
Define the root component of the myBlog application.!

!MyBlogComponent class methodsFor: 'testing' stamp: 'NicolasVanderAuwera 8/30/2012 16:19'!
canBeRoot
	^ true! !

!MyBlogComponent class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 08:56'!
description
	^ 'Get up to date.'! !

!MyBlogComponent class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/3/2012 08:53'!
initialize
	super initialize.
	(self registerAsApplication: self url) preferenceAt: #sessionClass put: MyBlogSession.
	(WAAdmin register: RRRssHandler at: self rssUrl) rootComponentClass: MyBlogRSS! !

!MyBlogComponent class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 08:53'!
rssUrl
	^ 'myblog.rss'! !

!MyBlogComponent class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 08:53'!
url
	^ 'myblog'! !

!MyBlogComponent methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/18/2012 13:25'!
callContent: aContentView
	content call: aContentView! !

!MyBlogComponent methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 9/9/2012 16:40'!
children
	^ Array with: content with: sidebar with: footer with: header! !

!MyBlogComponent methodsFor: 'macpal' stamp: 'NicolasVanderAuwera 9/5/2012 06:42'!
flash
	| msg |
	msg := flash.
	flash := ''.
	^ msg! !

!MyBlogComponent methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 13:27'!
initialize
	super initialize.
	self setHome.
	type := 'info'.
	flash := ''.
	self setupChildren.
	self setupAnnouncer! !

!MyBlogComponent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:06'!
pagetitle
	"content title isEmpty
		ifTrue: [ ^ self title ]."
	^ self title ", ' | ' , content title"! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:54'!
renderContainerOn: html
	html div
		class: 'container';
		with: [ 
					self
						renderSectionOn: html;
						renderSidebarOn: html ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:53'!
renderContentOn: html
	self renderWrapperOn: html.
	self renderFooterOn: html! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 16:42'!
renderFlashOn: html
	flash notEmpty
		ifTrue: [ 
			html paragraph
				class: type;
				with: self flash ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/8/2012 11:18'!
renderFooterOn: html
	html render: footer! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/9/2012 16:41'!
renderHeaderOn: html
	html render: header! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:54'!
renderPushOn: html
	html div class: 'push'! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 13:28'!
renderSectionOn: html
	html section
		id: 'content';
		class: 'twelve columns';
		with: [ 
					self renderTrailOn: html.
					self renderFlashOn: html.
					html render: content ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 19:58'!
renderSidebarOn: html
	html aside
		id: 'sidebar';
		class: 'four columns';
		with: [ html render: sidebar ]! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 13:28'!
renderTrailOn: html
	html render: trail! !

!MyBlogComponent methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 10:54'!
renderWrapperOn: html
	html div
		class: 'wrapper';
		with: [ 
					self renderHeaderOn: html.
					self renderContainerOn: html.
					self renderPushOn: html ]! !

!MyBlogComponent methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 05:54'!
setBody: aComponent
	content := aComponent! !

!MyBlogComponent methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/9/2012 06:04'!
setHome
	self setBody: PostListView new! !

!MyBlogComponent methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 13:27'!
setupAnnouncer
	self session announcer
		on: RefreshBody
		do: [ :it | self setBody: it body ].
	self session announcer
		on: RefreshContent
		do: [ :it | self callContent: it content ].
	self session announcer
		on: Flash
		do: [ :it | 
			type := it type.
			flash := it message ]! !

!MyBlogComponent methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/18/2012 13:27'!
setupChildren
	trail := WATrail on: self.
	sidebar := SidebarView new.
	footer := FooterView new.
	header := HeaderView new! !

!MyBlogComponent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 17:43'!
title
	^ 'MyBlog'! !

!MyBlogComponent methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/18/2012 13:29'!
trailName
	"Used by the breadcrumb"

	^ content title! !

!MyBlogComponent methodsFor: 'updating' stamp: 'NicolasVanderAuwera 9/6/2012 18:28'!
updateRoot: aHtmlRoot
	super updateRoot: aHtmlRoot.
	aHtmlRoot title: self pagetitle.
	aHtmlRoot stylesheet url: (MyBlogLibrary urlOf: #baseCss).
	aHtmlRoot stylesheet url: (MyBlogLibrary urlOf: #layoutCss).
	aHtmlRoot stylesheet url: (MyBlogLibrary urlOf: #skeletonCss).
	aHtmlRoot stylesheet url: (MyBlogLibrary urlOf: #applicationCss).
	aHtmlRoot link
		beRss;
		relationship: 'alternate';
		title: self title;
		url: 'http://localhost:8080/myblog.rss'! !

WAComponent subclass: #SearchFormView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!SearchFormView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/18/2012 09:22'!
renderContentOn: html
	html
		form: [ 
			html searchInput
				placeholder: 'Search';
				callback: [ :value | self setSearchResult: value ] ]! !

!SearchFormView methodsFor: 'actions' stamp: 'NicolasVanderAuwera 9/18/2012 09:22'!
setSearchResult: aString
	self session announcer announce: (RefreshBody body: (SearchView list: (Post postsWith: aString)))! !

WAComponent subclass: #SidebarView
	instanceVariableNames: 'lastPostsView'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!SidebarView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:59'!
blocks
	^ AsideBlock allSubclasses collect: [ :block | block new ]! !

!SidebarView methodsFor: 'hooks' stamp: 'NicolasVanderAuwera 9/23/2012 17:01'!
children
	^ self blocks! !

!SidebarView methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/23/2012 16:47'!
initialize
	super initialize.
	lastPostsView := AsideLastPostsView new! !

!SidebarView methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/23/2012 16:38'!
loginView
	self session isLoggedIn
		ifTrue: [ ^ LoggedView model: self session user ]
		ifFalse: [ ^ AsideLoginView new ]! !

!SidebarView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/23/2012 17:01'!
renderContentOn: html
	self blocks do: [ :block | html render: block ] separatedBy: [ html horizontalRule ]! !

!SidebarView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 19:55'!
renderLastPostsOn: html
	html render: lastPostsView! !

!SidebarView methodsFor: 'rendering' stamp: 'NicolasVanderAuwera 9/7/2012 19:57'!
renderLoginOn: html
	html render: self loginView! !

WASession subclass: #MyBlogSession
	instanceVariableNames: 'user announcer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-View'!

!MyBlogSession commentStamp: 'NicolasVanderAuwera 9/2/2012 08:27' prior: 0!
The session of MyBlog.

Instance Variables:
	user	<Object>!

!MyBlogSession methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 06:59'!
announcer
	^ announcer! !

!MyBlogSession methodsFor: 'initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:56'!
initialize
	super initialize.
	announcer := Announcer new! !

!MyBlogSession methodsFor: 'testing' stamp: 'NicolasVanderAuwera 8/31/2012 06:28'!
isLoggedIn
	^ user notNil! !

!MyBlogSession methodsFor: 'action' stamp: 'NicolasVanderAuwera 8/31/2012 07:02'!
login:  aUser
	user := aUser! !

!MyBlogSession methodsFor: 'action' stamp: 'NicolasVanderAuwera 8/31/2012 06:27'!
logout
	user := nil! !

!MyBlogSession methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 07:01'!
user
	^ user! !

Object subclass: #Entry
	instanceVariableNames: 'id createdAt'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

Entry class
	instanceVariableNames: 'id database'!

!Entry commentStamp: 'NicolasVanderAuwera 9/2/2012 09:50' prior: 0!
I am an abstract class and I store a database in class side.

Instance Variables:
	id	<ProtoObject>
	createdAt	<DateAndTime>

Class Instance Variables:
	id	<Number>
	database	<Collection>!

Entry class
	instanceVariableNames: 'id database'!

Entry subclass: #Comment
	instanceVariableNames: 'author text title'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

!Comment commentStamp: 'NicolasVanderAuwera 9/2/2012 09:49' prior: 0!
A comment on a post. All comments are stored in the posts.

Instance Variables:
	author	<ProtoObject>
	text	<ProtoObject>
	title	<ProtoObject>!

!Comment class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 15:11'!
descriptionText
	^ MAMemoDescription new
		accessor: #text;
		label: 'Content';
		priority: 200;
		beRequired;
		yourself! !

!Comment class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 15:11'!
descriptionTitle
	^ MAStringDescription new
		accessor: #title;
		label: 'Title';
		priority: 100;
		yourself! !

!Comment class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:49'!
initialize
	super initialize! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 14:10'!
author
	^ author! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 14:10'!
author: anObject
	author := anObject! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 14:10'!
text
	^ text! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 14:10'!
text: anObject
	text := anObject! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:06'!
title
	^ title! !

!Comment methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 15:11'!
title: anObject
	title := anObject! !

!Entry class methodsFor: 'adding' stamp: 'NicolasVanderAuwera 8/31/2012 10:22'!
add: aUser
	database add: aUser! !

!Entry class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/7/2012 07:34'!
buildComponent
	^ self
		buildComponentWith:
			{(#save -> 'Save').
			(#cancel -> 'Cancel')}! !

!Entry class methodsFor: 'instance creation' stamp: 'NicolasVanderAuwera 9/7/2012 07:52'!
buildComponentWith: aDictionary
	^ self new asComponent addValidatedForm: aDictionary! !

!Entry class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 07:34'!
database
	^ database! !

!Entry class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 8/31/2012 10:23'!
initialize
	super initialize.
	id := 0.
	database := OrderedCollection new! !

!Entry class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 10:21'!
nextId
	^ id := id + 1! !

!Entry class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/3/2012 09:03'!
number
	^ database size! !

!Entry methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 15:02'!
createdAt
	^ createdAt! !

!Entry methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 10:24'!
id
	^ id! !

!Entry methodsFor: 'initialize-release' stamp: 'NicolasVanderAuwera 8/31/2012 11:41'!
initialize
	super initialize.
	createdAt := DateAndTime now! !

Entry subclass: #Post
	instanceVariableNames: 'title text creator comments category tags'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

!Post commentStamp: 'NicolasVanderAuwera 9/2/2012 09:52' prior: 0!
I am post of the blog. I store all comments belonging to me and I belong to an user.

Instance Variables:
	title	<ProtoObject>
	text	<FileStream | String>
	creator	<Object>
	comments	<Collection>!

!Post class methodsFor: 'adding' stamp: 'NicolasVanderAuwera 8/31/2012 12:15'!
add: aPost to: anUser
	aPost creator: anUser.
	self add: aPost! !

!Post class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:53'!
categories
	^ #('Seaside' 'C++')! !

!Post class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/7/2012 07:37'!
descriptionCategory
	^ MASingleOptionDescription new
		accessor: #category;
		label: 'Category';
		priority: 150;
		options: self categories;
		default: self categories first;
		beSorted;
		beRequired;
		yourself! !

!Post class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/9/2012 19:56'!
descriptionTags
	^ MAToManyRelationDescription new
		classes: (Array with: Tag);
		accessor: #tags;
		label: 'Tags';
		priority: 300;
		yourself! !

!Post class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 14:11'!
descriptionText
	^ MAMemoDescription new
		accessor: #text;
		label: 'Content';
		priority: 200;
		beRequired;
		yourself! !

!Post class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 14:11'!
descriptionTitle
	^ MAStringDescription new
		accessor: #title;
		label: 'Title';
		priority: 100;
		yourself! !

!Post class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/7/2012 08:05'!
initialize
	super initialize! !

!Post class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:39'!
last: aNumber
	[ ^ database last: aNumber ]
		on: Error
		do: [ :err | ^ database ]! !

!Post class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 8/31/2012 12:17'!
postsBelongingTo: anUser
	^ database select: [ :post | post creator = anUser ]! !

!Post class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 9/18/2012 09:00'!
postsWith: aString
	^ database select: [ :post | post includesSubstring: aString ]! !

!Post methodsFor: 'adding' stamp: 'NicolasVanderAuwera 8/31/2012 14:46'!
addComment: aComment
	comments add: aComment! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:24'!
category
	^ category! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:24'!
category: anObject
	category := anObject! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/4/2012 07:23'!
comments
	^ comments! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:59'!
creator
	^ creator! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:59'!
creator: anUser
	creator := anUser! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 09:47'!
date
	^ createdAt asDate! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/7/2012 07:41'!
fullAuthor
	| writer |
	writer := WriteStream on: String new.
	writer
		nextPutAll: creator email;
		nextPutAll: ' (';
		nextPutAll: creator name capitalizedPhrase;
		nextPutAll: ')'.
	^ writer contents! !

!Post methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/18/2012 09:28'!
includesSubstring: subString
	^ text includesSubstring: subString! !

!Post methodsFor: 'initialize-release' stamp: 'NicolasVanderAuwera 9/4/2012 07:23'!
initialize
	super initialize.
	comments := OrderedCollection new! !

!Post methodsFor: 'testing' stamp: 'NicolasVanderAuwera 8/31/2012 12:29'!
isBelongingTo: anUser
	^ creator = anUser! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:01'!
summary
	^ text truncate: self summaryLength! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:17'!
summaryLength
	^ 400! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 19:53'!
tags
	^ tags! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 19:53'!
tags: anObject
	tags := anObject! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:58'!
text
	^ text! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:58'!
text: aString
	text := aString! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/2/2012 09:47'!
time
	^ createdAt asTime! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:58'!
title
	^ title! !

!Post methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 09:57'!
title: aString
	title := aString! !

Entry subclass: #Tag
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

!Tag class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/9/2012 19:48'!
descriptionName
	^ MAStringDescription new
		accessor: #name;
		label: 'Tag';
		priority: 100;
		beRequired;
		yourself! !

!Tag class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/9/2012 19:47'!
initialize
	super initialize! !

!Tag methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 19:57'!
name
	^ name! !

!Tag methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/9/2012 19:57'!
name: anObject
	name := anObject! !

Entry subclass: #User
	instanceVariableNames: 'name email password confirmationPassword biography avatar'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MyBlog-Model'!

!User commentStamp: 'NicolasVanderAuwera 8/30/2012 16:29' prior: 0!
Define an user of the blog. The password and the confirmation password must match.

Instance Variables:
	email	<ProtoObject>
	password	<ProtoObject>
	confirmationPassword	<ProtoObject>

Class Instance Variables:
	database	<(Collection of: (User | WAHtml5InputTest))>!

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 9/1/2012 07:28'!
descriptionAvatar
	^ MAFileDescription new
		accessor: #avatar;
		label: 'Avatar';
		addCondition: [ :value | value filesize < self maxFilesize ]
			labelled: 'The size of the image must be less than 10 KB';
		priority: 320;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 17:39'!
descriptionBiography
	^ MAMemoDescription new
		accessor: #biography;
		label: 'Biography';
		priority: 350;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/30/2012 16:40'!
descriptionConfirmationPassword
	^ MAPasswordDescription new
		accessor: #confirmationPassword;
		label: 'Confirmation Password';
		priority: 300;
		beRequired;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/30/2012 16:40'!
descriptionContainer
	^ super descriptionContainer
		addCondition: [ :object | (object readUsing: self descriptionPassword) = (object readUsing: self descriptionConfirmationPassword) ]
			labelled: 'The password and the confirmation password not match';
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/30/2012 20:02'!
descriptionEmail
	^ MAStringDescription new
		accessor: #email;
		label: 'E-mail';
		addCondition: [ :value | (self hasUserWithEmail: value) not ] labelled: 'An user with this email already exists';
		priority: 100;
		beRequired;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 17:27'!
descriptionName
	^ MAStringDescription new
		accessor: #name;
		label: 'Name';
		priority: 50;
		beRequired;
		yourself! !

!User class methodsFor: 'descriptions' stamp: 'NicolasVanderAuwera 8/31/2012 10:28'!
descriptionPassword
	^ MAPasswordDescription new
		accessor: #password;
		label: 'Password';
		addCondition: [ :value | value trimBoth size >= 8 ] labelled: 'Password length must be greater than 7';
		priority: 200;
		beRequired;
		yourself! !

!User class methodsFor: 'testing' stamp: 'NicolasVanderAuwera 8/30/2012 19:51'!
hasUserWithEmail: aString
	^ database anySatisfy: [ :user | user email = aString ]! !

!User class methodsFor: 'class initialization' stamp: 'NicolasVanderAuwera 9/4/2012 06:47'!
initialize
	super initialize! !

!User class methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:53'!
maxFilesize
	^ 10000! !

!User class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 8/30/2012 20:39'!
userWithEmail: email password: password
	^ database detect: [ :user | user email = email and: [ user password = password ] ] ifNone: [ nil ]! !

!User class methodsFor: 'searching' stamp: 'NicolasVanderAuwera 8/31/2012 08:34'!
userWithId: anInteger
	^ database detect: [ :user | user id = anInteger ] ifNone: [ nil ]! !

!User methodsFor: 'comparing' stamp: 'NicolasVanderAuwera 9/1/2012 07:43'!
= aUser
	aUser ifNil: [ ^ false ].
	^ email = aUser email! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/1/2012 07:27'!
avatar
	^ avatar! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 9/1/2012 07:28'!
avatar: anObject
	avatar := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:41'!
biography
	^ biography! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:41'!
biography: anObject
	biography := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
confirmationPassword
	^ confirmationPassword! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
confirmationPassword: anObject
	confirmationPassword := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
email
	^ email! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
email: anObject
	email := anObject! !

!User methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/4/2012 07:08'!
hasAvatar
	^ avatar notNil! !

!User methodsFor: 'testing' stamp: 'NicolasVanderAuwera 9/18/2012 10:56'!
hasBiography
	^ biography notNil! !

!User methodsFor: 'comparing' stamp: 'NicolasVanderAuwera 8/31/2012 11:56'!
hash
	^ email hash! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:26'!
name
	^ name! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 17:26'!
name: anObject
	name := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
password
	^ password! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/30/2012 16:10'!
password: anObject
	password := anObject! !

!User methodsFor: 'accessing' stamp: 'NicolasVanderAuwera 8/31/2012 12:17'!
posts
	^ Post postsBelongingTo: self
	! !
MyBlogLibrary initialize!
Entry initialize!
Tag initialize!
User initialize!
Comment initialize!
MyBlogComponent initialize!
Post initialize!
